#pragma once

void project_set(void)
{
	menu_items_set = true;

	uint mainMenu = last_selected[1];
	uint subMenu = last_selected[2]; 

	// Main
	if (menu_level == 1)
	{
		// Main
		
		menu_header = objl_header;
		
		menu_addItem(objl_m1_objects);
		
		menu_addItem(objl_m1_pedmode);
		menu_addItemBool(pedmode_enabled);
		menu_addAction();
		
		menu_addItem(objl_m1_power);
		menu_addItemNumber(objl_force, 50);
		menu_addAction();
		
		menu_addItem(objl_m1_opts);
		
		menu_addItem(objl_m1_enable);
		menu_addItemBool(objl_enabled);
		menu_addAction();
		
		menu_addItem(objl_menu_exit);
		menu_addAction();
		
		return;
	}
	// Menu Item 1 - Objects
	else if (mainMenu == 1)
	{
		if (menu_level == 2)
		{
			menu_header = objl_m1_objects;
			
			menu_addItem(objl_m2_objects_m_sm);
			
			menu_addItem(objl_m2_objects_m_med);
			
			menu_addItem(objl_m2_objects_m_lg);
			
			menu_addItem(objl_m2_objects_bins);
			
			menu_addItem(objl_m2_objects_dump);
			
			menu_addItem(objl_m2_objects_dildos);
			
			menu_addItem(objl_m2_objects_bongs);
			
			menu_addItem(objl_m2_objects_furn);

			menu_addItem(objl_m2_objects_drum);

			menu_addItem(objl_m2_objects_test1);

			menu_addItem(objl_m2_objects_test2);

			menu_addItem(objl_m2_objects_test3);

			menu_addItem(objl_m2_objects_test4);

			menu_addItem(objl_m2_objects_test5);

			menu_addItem(objl_m2_objects_test6);

			menu_addItem(objl_m2_objects_test7);

			menu_addItem(objl_m2_objects_test8);

			menu_addItem(objl_m2_objects_test9);

			menu_addItem(objl_m2_objects_test10);

			menu_addItem(objl_m2_objects_test11);

			menu_addItem(objl_m2_objects_test12);

			menu_addItem(objl_m2_objects_test13);

			menu_addItem(objl_m2_objects_test14);

			menu_addItem(objl_m2_objects_test15);

			menu_addItem(objl_m2_objects_test16);

			menu_addItem(objl_m2_objects_test17);

			menu_addItem(objl_m2_objects_test18);

			menu_addItem(objl_m2_objects_test19);

			menu_addItem(objl_m2_objects_test20);

			return;	
		}
		else if (menu_level == 3)
		{
			if (item_selected == 1)
			{
				menu_header = objl_m2_objects_m_sm;
				menu_addItemHash("ErrorTest", 0xDEADBEEF);
				menu_addAction();
				menu_addItemHash("CJ_DONUT", 0x3C4E43BC);
				menu_addAction();
				menu_addItemHash("CJ_DONUT2", 0xEE548951);
				menu_addAction();
				menu_addItemHash("CJ_DONUT3", 0xFEAD2A02);
				menu_addAction();
				menu_addItemHash("BrickDark", 0x7B5E63B5);
				menu_addAction();
				menu_addItemHash("BXE2_dyn_brick01", 0xA6BBCCDB);
				menu_addAction();
				menu_addItemHash("CJ_PROC_BRICK", 0xFE520830);
				menu_addAction();
				menu_addItemHash("CJ_PROC_BRICK2", 0xB49F6A82);
				menu_addAction();
				menu_addItemHash("CJ_GOLF_BALL", 0xB00ABE6D);
				menu_addAction();
				menu_addItemHash("CJ_BOWLING_BALL3", 0x90FA92C6);
				menu_addAction();
				menu_addItemHash("CJ_BOWLING_PIN", 0xF4A206E4);
				menu_addAction();
				menu_addItemHash("CJ_LD_POOLBALL_8", 0x69F3A0EE);
				menu_addAction();
				menu_addItemHash("CJ_B_CAN3", 0xD825FA46);
				menu_addAction();
				menu_addItemHash("CJ_MUMS_VASE", 0xA477525C);
				menu_addAction();
				menu_addItemHash("CJ_FORK", 0xF9525FC1);
				menu_addAction();
				menu_addItemHash("CJ_J_CAN_used", 0x5F7FC466);
				menu_addAction();
				menu_addItemHash("CJ_B_CAN1", 0xE6C7978D);
				menu_addAction();
				menu_addItemHash("CJ_J_CAN1", 0x355B211A);
				menu_addAction();
				menu_addItemHash("CJ_J_CAN2", 0xB893A78D);
				menu_addAction();
				menu_addItemHash("CJ_J_CAN3", 0xE204FA6F);
				menu_addAction();
				menu_addItemHash("CJ_J_CAN4", 0x73329CC8);
				menu_addAction();
				menu_addItemHash("CJ_J_CAN5", 0x7E80B364);
				menu_addAction();
				menu_addItemHash("CJ_J_CAN6", 0x4C244EC4);
				menu_addAction();
				menu_addItemHash("CJ_J_CAN7", 0x55F66268);
				menu_addAction();
				menu_addItemHash("CJ_DM_SPRAYCAN", 0x1DB93AB9);
				menu_addAction();
				menu_addItemHash("CJ_MILK_4", 0xD7396014);
				menu_addAction();
				menu_addItemHash("CJ_MOBILE_3", 0xB37B15A0);
				menu_addAction();
				menu_addItemHash("CJ_MOBILE_HAND_1", 0x9306A8C6);
				menu_addAction();
				menu_addItemHash("EC_Spliff", 0xD130ADEF);
				menu_addAction();
			}
			else if (item_selected == 2)
			{
				menu_header = objl_m2_objects_m_med;
				menu_addItemHash("BM_fire_exting", 0x145D8395);
				menu_addAction();
				menu_addItemHash("BM_fire_extingB", 0x07861B72);
				menu_addAction();
				menu_addItemHash("BM_fire_extingRusA", 0xEF269FB5);
				menu_addAction();
				menu_addItemHash("BM_fire_extingRusB", 0xDD8BFC90);
				menu_addAction();
				menu_addItemHash("BM_fireaxe", 0x3129B913);
				menu_addAction();
				menu_addItemHash("CJ_BAGUETTE_1", 0xF20514DA);
				menu_addAction();
				menu_addItemHash("CJ_CRATE_1", 0x1C9096DF);
				menu_addAction();
				menu_addItemHash("CJ_CRATE_2", 0x4BCF755C);
				menu_addAction();
				menu_addItemHash("CJ_LAUND_BASKET", 0x0CDD46F8);
				menu_addAction();
				menu_addItemHash("CJ_LAUND_BASKET_2", 0xF40475E7);
				menu_addAction();
				menu_addItemHash("CAUTION_sign", 0x2A839A55);
				menu_addAction();
				menu_addItemHash("CJ_BIN_BAG_INT", 0x58C35D28);
				menu_addAction();
				menu_addItemHash("CJ_BIN_BAG_PICKUP2", 0x05771EC9);
				menu_addAction();
				menu_addItemHash("CJ_GHETTO_BLASTER_1", 0x18116D41);
				menu_addAction();
				menu_addItemHash("CJ_GHETTO_BLASTER_2", 0xFA5A31D3);
				menu_addAction();
				menu_addItemHash("CJ_KICKSTOOL", 0x1417B936);
				menu_addAction();
				menu_addItemHash("CJ_Gas_Canz", 0x32BBE5F4);
				menu_addAction();
				menu_addItemHash("CJ_CONE_SM", 0xD86B0B28);
				menu_addAction();
				menu_addItemHash("CJ_MICRO1", 0xA46D3EAC);
				menu_addAction();
				menu_addItemHash("CJ_MICRO2", 0x577BA4C6);
				menu_addAction();
				menu_addItemHash("CJ_MICRO4", 0x748ADF1C);
				menu_addAction();
				menu_addItemHash("CJ_MENU_1", 0xDCD23B8A);
				menu_addAction();
				menu_addItemHash("CJ_MENU_2", 0xEA7956D8);
				menu_addAction();
			}
			else if (item_selected == 3)
			{
				menu_header = objl_m2_objects_m_lg;
				menu_addItemHash("CJ_GAS_FIRE", 0x19AF4794);
				menu_addAction();
				menu_addItemHash("CJ_FILEING_CAB_1", 0x81AC84C8);
				menu_addAction();
				menu_addItemHash("CJ_FLIGHT_CASE_1", 0xDAB3D3FA);
				menu_addAction();
				menu_addItemHash("CJ_FENCE_1_1", 0x0FDB87E5);
				menu_addAction();
				menu_addItemHash("CJ_FENCE_22_4", 0xE5B1BB32);
				menu_addAction();
				menu_addItemHash("CJ_FENCE_23_4", 0xCD03A308);
				menu_addAction();
				menu_addItemHash("CJ_FENCE_5_2", 0x9935F814);
				menu_addAction();
				menu_addItemHash("CJ_FENCE_CROWD", 0x674EDE84);
				menu_addAction();
				menu_addItemHash("CJ_GAME_CUBE_1", 0x2718C626);
				menu_addAction();
				menu_addItemHash("CJ_GAME_CUBE_2", 0xDD28B247);
				menu_addAction();
				menu_addItemHash("CJ_GAME_CUBE_3", 0xCCEA11CA);
				menu_addAction();
				menu_addItemHash("CJ_GAME_CUBE_4", 0xBB1F6E71);
				menu_addAction();
				menu_addItemHash("CJ_GAME_CUBE_5", 0xA6E545FD);
				menu_addAction();
				menu_addItemHash("CJ_GAME_CUBE_6", 0x5C5030D4);
				menu_addAction();
				menu_addItemHash("CJ_HOTEL_TROLLY", 0xF5F716EC);
				menu_addAction();
				menu_addItemHash("EC_PS_Arm", 0x96185DFB);
				menu_addAction();
			}
			else if (item_selected == 4)
			{
				menu_header = objl_m2_objects_bins;
				menu_addItemHash("CJ_HIPPO_BIN", 0x1B42315D);
				menu_addAction();
				menu_addItemHash("CJ_BIN_1", 0x94A8F60F);
				menu_addAction();
				menu_addItemHash("CJ_BIN_2", 0x6E77A9AD);
				menu_addAction();
				menu_addItemHash("CJ_BIN_3", 0x410DCED6);
				menu_addAction();
				menu_addItemHash("CJ_BIN_4", 0xBBC8C44E);
				menu_addAction();
				menu_addItemHash("CJ_BIN_5", 0xD682F9C2);
				menu_addAction();
				menu_addItemHash("CJ_BIN_6", 0xA72D1B17);
				menu_addAction();
				menu_addItemHash("CJ_BIN_8", 0xF936BF15);
				menu_addAction();
				menu_addItemHash("CJ_BIN_9", 0xC37F53A3);
				menu_addAction();
				menu_addItemHash("CJ_BIN_10", 0x9683F15D);
				menu_addAction();
				menu_addItemHash("CJ_BIN_11", 0xD5B8EFC6);
				menu_addAction();
				menu_addItemHash("CJ_BIN_13", 0xB95536FF);
				menu_addAction();
				menu_addItemHash("CJ_BIN_14", 0xA2DE0A11);
				menu_addAction();
				menu_addItemHash("CJ_BIN_15", 0x169EF191);
				menu_addAction();
				menu_addItemHash("CJ_BIN_16", 0x0894557C);
				menu_addAction();
			}
			else if (item_selected == 5)
			{
				menu_header = objl_m2_objects_dump;
				menu_addItemHash("CJ_Dumpster_1", 0xEB12D336);
				menu_addAction();
				menu_addItemHash("CJ_Dumpster_2", 0xFBCD74AB);
				menu_addAction();
				menu_addItemHash("CJ_Dumpster_3", 0xCD7E180D);
				menu_addAction();
				menu_addItemHash("CJ_Dumpster_4", 0xE02FBD70);
				menu_addAction();
				menu_addItemHash("CJ_Dumpster_5", 0xA2AB4268);
				menu_addAction();
				menu_addItemHash("CJ_Dumpster_6", 0xB5F96904);
				menu_addAction();
			}
			else if (item_selected == 6)
			{
				menu_header = objl_m2_objects_dildos;
				menu_addItemHash("dildo1", 0x3675A6C3);
				menu_addAction();
				menu_addItemHash("dildo2", 0x260C05F0);
				menu_addAction();
				menu_addItemHash("dildo3", 0x9976ECC4);
				menu_addAction();
				menu_addItemHash("dildo4", 0x8BD0D178);
				menu_addAction();
				menu_addItemHash("dildo5", 0x7F0337DD);
				menu_addAction();
				menu_addItemHash("dildo6", 0x6F181807);
				menu_addAction();
				menu_addItemHash("dildo7", 0x63A1012D);
				menu_addAction();
				menu_addItemHash("dildo8", 0xD540646A);
				menu_addAction();
				menu_addItemHash("dildo9", 0xC60EC607);
				menu_addAction();
				menu_addItemHash("dildo10", 0xFAC0120A);
				menu_addAction();
				menu_addItemHash("dildo11", 0xB1DE0047);
				menu_addAction();
				menu_addItemHash("dildo12", 0xE89C6DC3);
				menu_addAction();
				menu_addItemHash("dildo13", 0x7AFF9287);
				menu_addAction();
				menu_addItemHash("dildo14", 0xB13DFF03);
				menu_addAction();
				menu_addItemHash("dildo15", 0x686AED56);
				menu_addAction();
				menu_addItemHash("dildo16", 0x56A549CB);
				menu_addAction();
				menu_addItemHash("dildo17", 0x43F6246D);
				menu_addAction();
				menu_addItemHash("dildo18", 0x322780D0);
				menu_addAction();
			}
			else if (item_selected == 7)
			{
				menu_header = objl_m2_objects_bongs;
				menu_addItemHash("BM_bong1", 0x21EFFEE6);
				menu_addAction();
				menu_addItemHash("BM_bong2", 0xEFB61A73);
				menu_addAction();
				menu_addItemHash("BM_bong3", 0xFD893619);
				menu_addAction();
				menu_addItemHash("BM_bong4", 0x4C2B535C);
				menu_addAction();
				menu_addItemHash("BM_bong5", 0x23BB827D);
				menu_addAction();
				menu_addItemHash("BM_bong7", 0x9029DB58);
				menu_addAction();
				menu_addItemHash("BM_bong8", 0x9CE7F4D4);
				menu_addAction();
				menu_addItemHash("BM_bong10", 0x0B2F0C17);
				menu_addAction();
			}
			else if (item_selected == 8)
			{
				menu_header = objl_m2_objects_furn;
				menu_addItemHash("CJ_COUCH5", 0x7EBE173B);
				menu_addAction();
				menu_addItemHash("CJ_COUCH8", 0xA407E1CE);
				menu_addAction();
				menu_addItemHash("CJ_COUCH10", 0xDDDE8F4D);
				menu_addAction();
				menu_addItemHash("CJ_MATRESS_1", 0xC8DF9328);
				menu_addAction();
			}
			else if (item_selected == 9)
			{
				menu_header = objl_m2_objects_drum;
				menu_addItemHash("BM_drum_1", 0x5985A1D2);
				menu_addAction();
				menu_addItemHash("BM_drum_10", 0xF1D1EE6A);
				menu_addAction();
				menu_addItemHash("BM_drum_11", 0xC19C0DFF);
				menu_addAction();
				menu_addItemHash("BM_drum_2", 0xA28BB3D9);
				menu_addAction();
				menu_addItemHash("BM_drum_3", 0x7D0368CD);
				menu_addAction();
				menu_addItemHash("BM_drum_4", 0xA8B63FEE);
				menu_addAction();
				menu_addItemHash("BM_drum_5", 0xB6E3DC49);
				menu_addAction();
				menu_addItemHash("BM_drum_6", 0x83FF7685);
				menu_addAction();
				menu_addItemHash("BM_drum_7", 0x9266134E);
				menu_addAction();
				menu_addItemHash("BM_drum_8", 0xDF17ACB0);
				menu_addAction();
				menu_addItemHash("BM_drum_9", 0xECC34807);
				menu_addAction();
				menu_addItemHash("BM_drum_corr", 0x493186E9);
				menu_addAction();
				menu_addItemHash("BM_drum_exp", 0x8F2A7EB3);
				menu_addAction();
				menu_addItemHash("BM_drum_fire", 0x8EFCD32A);
				menu_addAction();
				menu_addItemHash("BM_drum_fla", 0xDDC20498);
				menu_addAction();
				menu_addItemHash("BM_drum_fla2", 0x758AD87A);
				menu_addAction();
				menu_addItemHash("BM_drum_tox", 0x61BBB992);
				menu_addAction();
				menu_addItemHash("CJ_BM_FLAM_DRUM", 0x25CE10AC);
				menu_addAction();
			}
			else if (item_selected == 10)
			{
				menu_header = objl_m2_objects_test1;
				menu_addItemHash("ab_clubchair", 0x5FC46D6F);
				menu_addAction();
				menu_addItemHash("ab_clubchair2", 0xD783B965);
				menu_addAction();
				menu_addItemHash("ab_comclub_table", 0xA294E27F);
				menu_addAction();
				menu_addItemHash("ab_comclubStool2", 0x13F37AF6);
				menu_addAction();
				menu_addItemHash("ab_DinerBench", 0xEDD64257);
				menu_addAction();
				menu_addItemHash("ab_dinerChair", 0x7FF8AEB3);
				menu_addAction();
				menu_addItemHash("ab_dinerTable", 0x8FC57D38);
				menu_addAction();
				menu_addItemHash("ab_rscafe_table", 0x8DBA21F2);
				menu_addAction();
				menu_addItemHash("ah_romschair", 0x7C327416);
				menu_addAction();
				menu_addItemHash("ah_sinbarchair", 0xF00ECE4E);
				menu_addAction();
				menu_addItemHash("ah_sinchair", 0xABC962BB);
				menu_addAction();
				menu_addItemHash("ah_sinspot", 0xD1D7901F);
				menu_addAction();
				menu_addItemHash("ah_sintable", 0xF6361D33);
				menu_addAction();
				menu_addItemHash("ah_valanchair", 0x79338360);
				menu_addAction();
				menu_addItemHash("ah_valancouch", 0x74960C16);
				menu_addAction();
				menu_addItemHash("barbbottles", 0x9D5AFB74);
				menu_addAction();
				menu_addItemHash("barbcoffetable", 0x05E9B130);
				menu_addAction();
				menu_addItemHash("barbmags", 0xB75EC542);
				menu_addAction();
				menu_addItemHash("BM_egypt_pic1", 0x0534D23F);
				menu_addAction();
				menu_addItemHash("BM_egypt_pot03a", 0x32E14623);
				menu_addAction();
				menu_addItemHash("BM_egypt_pot03c", 0x57720F4C);
				menu_addAction();
				menu_addItemHash("BM_egypt_pot05a", 0x0A2C1A35);
				menu_addAction();
				menu_addItemHash("BM_egypt_pot07a", 0x188FA754);
				menu_addAction();
				menu_addItemHash("BM_egypt_pot07b", 0x0A208A76);
				menu_addAction();
				menu_addItemHash("BM_egypt_pot07c", 0x7C4DEED3);
				menu_addAction();
				menu_addItemHash("BM_egypt_pot08", 0x725B6F50);
				menu_addAction();
				menu_addItemHash("BM_egypt_pot11", 0x6710D9E7);
				menu_addAction();
				menu_addItemHash("BM_egypt_statue3", 0x2119017C);
				menu_addAction();
				menu_addItemHash("BM_egypt_statue4", 0x5DE07B0A);
				menu_addAction();
				menu_addItemHash("BM_egypt_tablet", 0x22E8353F);
				menu_addAction();
				menu_addItemHash("BM_egypt_tablet01", 0x5A287384);
				menu_addAction();
				menu_addItemHash("BM_egypt_tablet02", 0x59BCF29D);
				menu_addAction();
				menu_addItemHash("BM_egypt_tablet03", 0x74F5290D);
				menu_addAction();
				menu_addItemHash("BM_egypt_tablet04", 0x834B45B9);
				menu_addAction();
				menu_addItemHash("BM_egypt_tablet05", 0x908BE03A);
				menu_addAction();
				menu_addItemHash("BM_egypt_tablet06", 0x124763B3);
				menu_addAction();
				menu_addItemHash("BM_egypt_tablet07", 0x2EC99CB7);
				menu_addAction();
				menu_addItemHash("BM_elecbox_13", 0x4F0145A4);
				menu_addAction();
				menu_addItemHash("BM_elecbox_18", 0x9B88DEB2);
				menu_addAction();
				menu_addItemHash("BM_elecbox_21", 0xA79EFA0A);
				menu_addAction();
				menu_addItemHash("BM_elecbox_3", 0x0EDDF809);
				menu_addAction();
				menu_addItemHash("BM_elecbox16", 0xA6DF693D);
				menu_addAction();
				menu_addItemHash("BM_elecbox17", 0x796D8E5A);
				menu_addAction();
				menu_addItemHash("BM_elecbox2", 0x88F991E4);
				menu_addAction();
				menu_addItemHash("BM_elecbox20", 0x62F154C2);
				menu_addAction();
				menu_addItemHash("BM_elecbox3", 0x2C67D8C2);
				menu_addAction();
				menu_addItemHash("BM_elecbox4", 0x1AB1B556);
				menu_addAction();
				menu_addItemHash("BM_elecbox5", 0x53DEA7AF);
				menu_addAction();
				menu_addItemHash("BM_elecbox6", 0x3E3D7C6D);
				menu_addAction();
				menu_addItemHash("BM_elecbox7", 0x50ADA0E1);
				menu_addAction();
				menu_addItemHash("BM_elecbox9", 0x2D32D9EC);
				menu_addAction();
			}
			else if (item_selected == 11)
			{
				menu_header = objl_m2_objects_test2;
				menu_addItemHash("BM_exitsign", 0x6D27231A);
				menu_addAction();
				menu_addItemHash("BM_Fact_hungbox", 0x3C18B291);
				menu_addAction();
				menu_addItemHash("BM_Fact_machine01", 0x7FA02E6D);
				menu_addAction();
				menu_addItemHash("BM_Fact_machine02", 0x61E7F2FD);
				menu_addAction();
				menu_addItemHash("BM_Fact_pipe01", 0x63401612);
				menu_addAction();
				menu_addItemHash("BM_factorymachine1", 0x261F51FA);
				menu_addAction();
				menu_addItemHash("BM_FatWineBottle", 0x1A5D5FDD);
				menu_addAction();
				menu_addItemHash("BM_faxmachine", 0xA3AC4F01);
				menu_addAction();
				menu_addItemHash("BM_fence_01_corn", 0x4A669952);
				menu_addAction();
				menu_addItemHash("BM_fence_01_gate", 0xFE261953);
				menu_addAction();
				menu_addItemHash("BM_fence_01_gatepole", 0x400DB2B4);
				menu_addAction();
				menu_addItemHash("BM_fence_01_long", 0x13C848E2);
				menu_addAction();
				menu_addItemHash("BM_fence_01_short", 0x5F8EA255);
				menu_addAction();
				menu_addItemHash("BM_FENCE_13", 0xD42ACEDF);
				menu_addAction();
				menu_addItemHash("BM_FENCE_15", 0x2103E878);
				menu_addAction();
				menu_addItemHash("BM_FENCE_16", 0xCFA145B4);
				menu_addAction();
				menu_addItemHash("BM_ff_shelves", 0x386EA13C);
				menu_addAction();
				menu_addItemHash("BM_ff_sink1", 0x7B517E39);
				menu_addAction();
				menu_addItemHash("BM_ff_sink2", 0x09821A9C);
				menu_addAction();
				menu_addItemHash("BM_ff_table02", 0x5530BA60);
				menu_addAction();
				menu_addItemHash("BM_ff_table03", 0x4386970C);
				menu_addAction();
				menu_addItemHash("BM_ff_table1", 0x7EF8BA8C);
				menu_addAction();
				menu_addItemHash("BM_ff_table4", 0x6DE41863);
				menu_addAction();
				menu_addItemHash("BM_flag_13", 0x2DE728D2);
				menu_addAction();
				menu_addItemHash("BM_flag_14", 0x1C3C057C);
				menu_addAction();
				menu_addItemHash("BM_flag_15", 0x4A72E1E9);
				menu_addAction();
				menu_addItemHash("BM_flag_16", 0x667199E6);
				menu_addAction();
				menu_addItemHash("BM_flag_17", 0x9427F552);
				menu_addAction();
				menu_addItemHash("BM_flag_18", 0x819D503D);
				menu_addAction();
				menu_addItemHash("BM_flag_19", 0x9E3E899F);
				menu_addAction();
				menu_addItemHash("BM_flag_20", 0x895EDC84);
				menu_addAction();
				menu_addItemHash("BM_flappy_bin", 0xBFF14D16);
				menu_addAction();
				menu_addItemHash("BM_flatbed_troly", 0x0E149FBD);
				menu_addAction();
				menu_addItemHash("BM_flipchair_01", 0x39AE16A4);
				menu_addAction();
				menu_addItemHash("BM_flowerpot01", 0xEB87B895);
				menu_addAction();
				menu_addItemHash("BM_flowerpot02", 0xC1406407);
				menu_addAction();
				menu_addItemHash("BM_flowerpot03", 0xB018C1B8);
				menu_addAction();
				menu_addItemHash("BM_flowerpot07", 0x0F12FFAB);
				menu_addAction();
				menu_addItemHash("BM_flowerpot08", 0x6871B26B);
				menu_addAction();
				menu_addItemHash("BM_foodwarmer01", 0x8F7D7A6E);
				menu_addAction();
				menu_addItemHash("BM_Fount_Lamp", 0x67105BD6);
				menu_addAction();
				menu_addItemHash("BM_fridge_indus01", 0xBD290FC6);
				menu_addAction();
				menu_addItemHash("BM_fridge_indus02", 0xE60F6192);
				menu_addAction();
				menu_addItemHash("BM_FRIJ_lo_slide1", 0xCAC7B06F);
				menu_addAction();
				menu_addItemHash("BM_FRIJ_lo_slide2", 0x4EB33840);
				menu_addAction();
				menu_addItemHash("BM_FRIJ_lo02", 0x09473734);
				menu_addAction();
				menu_addItemHash("BM_FRIJ_lo1", 0xFAD5F698);
				menu_addAction();
				menu_addItemHash("BM_FRIJ_singletall", 0xBA841BAF);
				menu_addAction();
				menu_addItemHash("BM_frozen_dispence", 0xB343DE51);
				menu_addAction();
				menu_addItemHash("BM_GasCan_Lrg", 0xEF72F88A);
				menu_addAction();
				menu_addItemHash("BM_GasCan_Mid", 0x73254560);
				menu_addAction();
			}
			else if (item_selected == 12)
			{
				menu_header = objl_m2_objects_test3;
				menu_addItemHash("BM_gascan2_a", 0x3859BAC0);
				menu_addAction();
				menu_addItemHash("BM_gascan2_b", 0xEFABA965);
				menu_addAction();
				menu_addItemHash("BM_gaspump", 0x149C6B9B);
				menu_addAction();
				menu_addItemHash("BM_gaspump2", 0x0F3B57CF);
				menu_addAction();
				menu_addItemHash("BM_gaspump3", 0x233A7FCD);
				menu_addAction();
				menu_addItemHash("BM_gastank", 0x4B4C0103);
				menu_addAction();
				menu_addItemHash("BM_GATE_10", 0x8D87A2C9);
				menu_addAction();
				menu_addItemHash("BM_GATE_11", 0x7FCD0754);
				menu_addAction();
				menu_addItemHash("BM_GATE_11l", 0xC6108836);
				menu_addAction();
				menu_addItemHash("BM_GATE_11r", 0x5858ACC4);
				menu_addAction();
				menu_addItemHash("BM_GATE_12", 0x1769B57B);
				menu_addAction();
				menu_addItemHash("BM_GATE_12l", 0x8CDAF0CF);
				menu_addAction();
				menu_addItemHash("BM_GATE_12r", 0x0C6B6FF6);
				menu_addAction();
				menu_addItemHash("BM_GATE_13", 0x24B3500E);
				menu_addAction();
				menu_addItemHash("BM_GATE_14", 0x39CA7A3C);
				menu_addAction();
				menu_addItemHash("BM_GATE_14l", 0xC5F5E06C);
				menu_addAction();
				menu_addItemHash("BM_GATE_14r", 0x158CFFA1);
				menu_addAction();
				menu_addItemHash("BM_GATE_15", 0xC9401929);
				menu_addAction();
				menu_addItemHash("BM_GATE_15r", 0xD9308609);
				menu_addAction();
				menu_addItemHash("BM_GATE_15rLOD", 0xC03ECE6D);
				menu_addAction();
				menu_addItemHash("BM_GATE_16", 0xCFE62675);
				menu_addAction();
				menu_addItemHash("BM_GATE_16r", 0x528E77D3);
				menu_addAction();
				menu_addItemHash("BM_GATE_1l", 0x961A32D6);
				menu_addAction();
				menu_addItemHash("BM_GATE_1r", 0xABF9DEAD);
				menu_addAction();
				menu_addItemHash("BM_GATE_3", 0x2DCA551C);
				menu_addAction();
				menu_addItemHash("BM_GATE_6", 0x672747D5);
				menu_addAction();
				menu_addItemHash("BM_generator_2", 0xC4F70037);
				menu_addAction();
				menu_addItemHash("BM_generator_yel", 0xAF045EAE);
				menu_addAction();
				menu_addItemHash("BM_girderpile01", 0x3C916F3C);
				menu_addAction();
				menu_addItemHash("BM_girderpile02", 0x2E5452C2);
				menu_addAction();
				menu_addItemHash("BM_girderpile03", 0xADDED1D5);
				menu_addAction();
				menu_addItemHash("BM_glassstack4", 0x43D3726D);
				menu_addAction();
				menu_addItemHash("BM_glassstack5", 0xB1994DF3);
				menu_addAction();
				menu_addItemHash("BM_griddle_big", 0xFE7BEC00);
				menu_addAction();
				menu_addItemHash("BM_griddle_small", 0x14DF5D64);
				menu_addAction();
				menu_addItemHash("BM_groucho", 0xDB02C6BA);
				menu_addAction();
				menu_addItemHash("BM_groucho_STAND", 0x98C453AC);
				menu_addAction();
				menu_addItemHash("BM_gumball_01", 0x6066DF1D);
				menu_addAction();
				menu_addItemHash("BM_gumball_02", 0x6A20F291);
				menu_addAction();
				menu_addItemHash("BM_gumball_03", 0xEA4272CE);
				menu_addAction();
				menu_addItemHash("BM_guntaRgets01", 0x6A2FBF1A);
				menu_addAction();
				menu_addItemHash("BM_guntaRgets02", 0xB85CDB6F);
				menu_addAction();
				menu_addItemHash("BM_hammer", 0x86C2F761);
				menu_addAction();
				menu_addItemHash("BM_handtowels", 0x727F2B1E);
				menu_addAction();
				menu_addItemHash("BM_hangingtv", 0x55480512);
				menu_addAction();
				menu_addItemHash("BM_heater_lamp", 0xBE206F60);
				menu_addAction();
				menu_addItemHash("BM_heater_lamp2", 0xE702BC36);
				menu_addAction();
				menu_addItemHash("BM_hubcap1", 0xC8D8A43D);
				menu_addAction();
				menu_addItemHash("BM_IND_CRATE_01", 0x8DAAE29F);
				menu_addAction();
				menu_addItemHash("BM_IND_CRATE_02", 0x81B5CAB5);
				menu_addAction();
				menu_addItemHash("BM_IND_CRATE_03", 0x67EE9727);
				menu_addAction();
			}
			else if (item_selected == 13)
			{
				menu_header = objl_m2_objects_test4;
				menu_addItemHash("BM_info_block02", 0xB89836AB);
				menu_addAction();
				menu_addItemHash("BM_info_block1", 0xD45E69C4);
				menu_addAction();
				menu_addItemHash("BM_info_booth1", 0xDA3DD755);
				menu_addAction();
				menu_addItemHash("BM_info_booth2", 0xBEFC20D2);
				menu_addAction();
				menu_addItemHash("BM_info_exhibits", 0xAEDC33BC);
				menu_addAction();
				menu_addItemHash("BM_info_exhibits2", 0xD359304C);
				menu_addAction();
				menu_addItemHash("BM_JumpHump", 0x694F3F9A);
				menu_addAction();
				menu_addItemHash("BM_keyboard1", 0xF708F3EC);
				menu_addAction();
				menu_addItemHash("BM_keyboard1b", 0x16A64FDC);
				menu_addAction();
				menu_addItemHash("BM_keyboard1c", 0x3FF4A278);
				menu_addAction();
				menu_addItemHash("BM_knobelisk", 0xB570F614);
				menu_addAction();
				menu_addItemHash("BM_ladder", 0x5209B31F);
				menu_addAction();
				menu_addItemHash("BM_ladderbit", 0xD1F44D5C);
				menu_addAction();
				menu_addItemHash("BM_lamp01_LOD01", 0x0FEBFA76);
				menu_addAction();
				menu_addItemHash("BM_lamp01_LOD02", 0x022E5EFB);
				menu_addAction();
				menu_addItemHash("BM_lamp01_LOD03", 0xE30820AF);
				menu_addAction();
				menu_addItemHash("BM_lamp01_LOD04", 0xD5418522);
				menu_addAction();
				menu_addItemHash("BM_lamp01_LOD07", 0x1E3196FD);
				menu_addAction();
				menu_addItemHash("BM_lamp01_LOD08", 0x3872CB7F);
				menu_addAction();
				menu_addItemHash("BM_lamp01_LOD09", 0x8168DD6A);
				menu_addAction();
				menu_addItemHash("BM_lamp02_LOD01", 0xE64CA1B4);
				menu_addAction();
				menu_addItemHash("BM_lamp02_LOD02", 0x011C5753);
				menu_addAction();
				menu_addItemHash("BM_lamp02_LOD03", 0x12E97AED);
				menu_addAction();
				menu_addItemHash("BM_lamp02_LOD04", 0x1B4A0BFA);
				menu_addAction();
				menu_addItemHash("BM_lamp02_LOD05", 0x7DACD0BE);
				menu_addAction();
				menu_addItemHash("BM_lamp02_LOD06", 0x36CFC305);
				menu_addAction();
				menu_addItemHash("BM_lamp02_LOD07", 0x4D0AEF7B);
				menu_addAction();
				menu_addItemHash("BM_lamp02_LOD08", 0x73F1BD48);
				menu_addAction();
				menu_addItemHash("BM_lamp02_LOD09", 0xC265DA33);
				menu_addAction();
				menu_addItemHash("BM_lamp02_LOD10", 0x3677C359);
				menu_addAction();
				menu_addItemHash("BM_lamp02_LOD11", 0x453D60E4);
				menu_addAction();
				menu_addItemHash("BM_lamp02_LOD12", 0x895D691B);
				menu_addAction();
				menu_addItemHash("BM_lamp02_LOD13", 0x1B160C8E);
				menu_addAction();
				menu_addItemHash("BM_lamp02_LOD14", 0x24F72050);
				menu_addAction();
				menu_addItemHash("BM_lamp02_LOD15", 0x52B87BD2);
				menu_addAction();
				menu_addItemHash("BM_lamp02_LOD16", 0xD2B4FBCD);
				menu_addAction();
				menu_addItemHash("BM_lamp02_LOD17", 0x648B9F78);
				menu_addAction();
				menu_addItemHash("BM_lamp02_LOD18", 0x6DE2B226);
				menu_addAction();
				menu_addItemHash("BM_lamp02_LOD19", 0x7FA155A3);
				menu_addAction();
				menu_addItemHash("BM_lamp02_LOD20", 0xFF0FD9FA);
				menu_addAction();
				menu_addItemHash("BM_lev_arcade", 0x220E27B7);
				menu_addAction();
				menu_addItemHash("BM_lev_femalhead", 0xB8EEE857);
				menu_addAction();
				menu_addItemHash("BM_lev_guncase01a", 0xCA42A51E);
				menu_addAction();
				menu_addItemHash("BM_lev_guncase01b", 0xB88E01B5);
				menu_addAction();
				menu_addItemHash("BM_lev_guncase01c", 0xB772FF73);
				menu_addAction();
				menu_addItemHash("BM_lev_guncase02a", 0xFA35089E);
				menu_addAction();
				menu_addItemHash("BM_lev_guncase02b", 0x7021F476);
				menu_addAction();
				menu_addItemHash("BM_lev_laptop", 0x636F31C0);
				menu_addAction();
				menu_addItemHash("BM_lev_malehead", 0xED241D0C);
				menu_addAction();
				menu_addItemHash("BM_lev_package", 0xC182CD29);
				menu_addAction();
				menu_addItemHash("BM_lev_sellertable", 0xEF0034CC);
				menu_addAction();
			}
			else if (item_selected == 14)
			{
				menu_header = objl_m2_objects_test5;
				menu_addItemHash("BM_lev_statue01", 0x77DF2AE4);
				menu_addAction();
				menu_addItemHash("BM_lev_vending", 0xE0039311);
				menu_addAction();
				menu_addItemHash("BM_litespeaker3", 0x74C78D2D);
				menu_addAction();
				menu_addItemHash("BM_mallet", 0x42E18AFB);
				menu_addAction();
				menu_addItemHash("BM_microwave1", 0x4405AD4B);
				menu_addAction();
				menu_addItemHash("BM_modernpool3", 0x9B09BEB3);
				menu_addAction();
				menu_addItemHash("BM_monitor1", 0xD75E6F18);
				menu_addAction();
				menu_addItemHash("BM_monitor2", 0xE5190A8D);
				menu_addAction();
				menu_addItemHash("BM_monitor4", 0x9AB9F5CC);
				menu_addAction();
				menu_addItemHash("BM_monitor5", 0xAF099EBB);
				menu_addAction();
				menu_addItemHash("BM_monitor5_off", 0x5CBF0A25);
				menu_addAction();
				menu_addItemHash("BM_monitor6", 0xB94FB347);
				menu_addAction();
				menu_addItemHash("BM_monitor7", 0x3E073C68);
				menu_addAction();
				menu_addItemHash("BM_monitor8", 0x53D067FA);
				menu_addAction();
				menu_addItemHash("BM_mouse1", 0xF0C7AB92);
				menu_addAction();
				menu_addItemHash("BM_mouse2", 0x3E104626);
				menu_addAction();
				menu_addItemHash("BM_mu_bench02", 0x952A727B);
				menu_addAction();
				menu_addItemHash("BM_mu_crate_01", 0xF486E58B);
				menu_addAction();
				menu_addItemHash("BM_mu_crate_02", 0xC1D0001E);
				menu_addAction();
				menu_addItemHash("BM_mu_crate_03a", 0xF86735E4);
				menu_addAction();
				menu_addItemHash("BM_mu_crate_03b", 0x4B24DB5E);
				menu_addAction();
				menu_addItemHash("BM_mu_quebarrier", 0x7ADA5222);
				menu_addAction();
				menu_addItemHash("BM_mu_quebarrier2", 0x8523E7FE);
				menu_addAction();
				menu_addItemHash("BM_mu_queinfo", 0xC68CE9FC);
				menu_addAction();
				menu_addItemHash("BM_mustard", 0x83DD743C);
				menu_addAction();
				menu_addItemHash("BM_napkinbox02", 0x4223A502);
				menu_addAction();
				menu_addItemHash("BM_new_bonnet5", 0x928B899D);
				menu_addAction();
				menu_addItemHash("BM_new_bump01", 0xFE740BE2);
				menu_addAction();
				menu_addItemHash("BM_new_bump02", 0xEAD6E4A4);
				menu_addAction();
				menu_addItemHash("BM_new_bump05", 0x572BBD50);
				menu_addAction();
				menu_addItemHash("BM_new_bump06", 0x455B19AF);
				menu_addAction();
				menu_addItemHash("BM_new_door1", 0xA824DC85);
				menu_addAction();
				menu_addItemHash("BM_new_door2", 0xF2A2717F);
				menu_addAction();
				menu_addItemHash("BM_new_door3", 0xC4A7958A);
				menu_addAction();
				menu_addItemHash("BM_new_wheel01", 0x1C5E78F9);
				menu_addAction();
				menu_addItemHash("BM_new_wheel02", 0x0A4F54DB);
				menu_addAction();
				menu_addItemHash("BM_new_wheel03", 0x3FF24020);
				menu_addAction();
				menu_addItemHash("BM_new_wheel04", 0x318DA357);
				menu_addAction();
				menu_addItemHash("BM_new_wheel05", 0xD57CEB37);
				menu_addAction();
				menu_addItemHash("BM_newskiosk", 0x9D5BD895);
				menu_addAction();
				menu_addItemHash("BM_officechair", 0x3A2D31AF);
				menu_addAction();
				menu_addItemHash("BM_officechair02", 0xFA437794);
				menu_addAction();
				menu_addItemHash("BM_optic_JD", 0xA83017B6);
				menu_addAction();
				menu_addItemHash("BM_optic_rum", 0xC558C6B0);
				menu_addAction();
				menu_addItemHash("BM_optic_vod", 0x94CFCD6A);
				menu_addAction();
				menu_addItemHash("BM_pc1_b", 0x990192A4);
				menu_addAction();
				menu_addItemHash("BM_pc2", 0x1476CDA3);
				menu_addAction();
				menu_addItemHash("BM_pc3", 0x1DD1E059);
				menu_addAction();
				menu_addItemHash("BM_pc4", 0xF01304DC);
				menu_addAction();
				menu_addItemHash("BM_pc6", 0x87583368);
				menu_addAction();
				menu_addItemHash("BM_pc7", 0xD99E57F3);
				menu_addAction();
			}
			else if (item_selected == 15)
			{
				menu_header = objl_m2_objects_test6;
				menu_addItemHash("BM_parking_meter", 0x53AAE51F);
				menu_addAction();
				menu_addItemHash("BM_parking_meter02", 0x5DE15D7F);
				menu_addAction();
				menu_addItemHash("BM_phone1", 0x382BF9D2);
				menu_addAction();
				menu_addItemHash("BM_phone2", 0xBE730662);
				menu_addAction();
				menu_addItemHash("BM_phone3", 0xCC91A29F);
				menu_addAction();
				menu_addItemHash("BM_phone3b", 0xFD81B174);
				menu_addAction();
				menu_addItemHash("BM_phone4", 0xE2FECF79);
				menu_addAction();
				menu_addItemHash("BM_phone4_b", 0x27FA090C);
				menu_addAction();
				menu_addItemHash("BM_phone5", 0xF1346BE4);
				menu_addAction();
				menu_addItemHash("BM_phone6_a", 0xEC1F63DF);
				menu_addAction();
				menu_addItemHash("BM_phone7_a", 0xB782FA5E);
				menu_addAction();
				menu_addItemHash("BM_phone7_b", 0x33AFF2B6);
				menu_addAction();
				menu_addItemHash("BM_phone7_c", 0x05671625);
				menu_addAction();
				menu_addItemHash("BM_phonebook1", 0xD639EFCE);
				menu_addAction();
				menu_addItemHash("BM_phonebook2", 0xC3F44B43);
				menu_addAction();
				menu_addItemHash("BM_PintGlass", 0xD1BBA26E);
				menu_addAction();
				menu_addItemHash("BM_PintGlass2", 0xEF265E44);
				menu_addAction();
				menu_addItemHash("BM_PintGlass3", 0x2D295A4D);
				menu_addAction();
				menu_addItemHash("BM_PintGlass4", 0x3F15FE26);
				menu_addAction();
				menu_addItemHash("BM_Pintglass5", 0x064B0C91);
				menu_addAction();
				menu_addItemHash("BM_PintGlasstall", 0x0E3119AF);
				menu_addAction();
				menu_addItemHash("BM_Pintstack1", 0x99874782);
				menu_addAction();
				menu_addItemHash("BM_Pintstack2", 0xA74CE30D);
				menu_addAction();
				menu_addItemHash("BM_Pintstack3", 0xC4701D4B);
				menu_addAction();
				menu_addItemHash("BM_Pintstack4", 0xD28AB980);
				menu_addAction();
				menu_addItemHash("BM_pintstack5lo", 0xAC4871D7);
				menu_addAction();
				menu_addItemHash("BM_pipe10", 0xD2349113);
				menu_addAction();
				menu_addItemHash("BM_pipe12", 0xF6B15A0C);
				menu_addAction();
				menu_addItemHash("BM_pipe13", 0x8AE7827E);
				menu_addAction();
				menu_addItemHash("BM_pipe2", 0x3DAFB5FD);
				menu_addAction();
				menu_addItemHash("BM_pipe3", 0x881D4ACB);
				menu_addAction();
				menu_addItemHash("BM_pipe4", 0x39BB2E08);
				menu_addAction();
				menu_addItemHash("BM_pipe5", 0x7B90B1B2);
				menu_addAction();
				menu_addItemHash("BM_pipe6", 0x6D5E154D);
				menu_addAction();
				menu_addItemHash("BM_pipe7", 0xDEBCF819);
				menu_addAction();
				menu_addItemHash("BM_pipe8", 0xCF6AD975);
				menu_addAction();
				menu_addItemHash("BM_pipewrench", 0x53FC4E10);
				menu_addAction();
				menu_addItemHash("BM_pitcher1", 0xC1B2868C);
				menu_addAction();
				menu_addItemHash("BM_pitcher2", 0xCF7D2221);
				menu_addAction();
				menu_addItemHash("BM_pizzabox01_WS", 0xBBD10BCF);
				menu_addAction();
				menu_addItemHash("BM_pizzabox02_WS", 0xDE59A5A2);
				menu_addAction();
				menu_addItemHash("BM_pizzabox03_WS", 0x30330893);
				menu_addAction();
				menu_addItemHash("BM_plank01", 0x14E75046);
				menu_addAction();
				menu_addItemHash("BM_plank02", 0x22576B26);
				menu_addAction();
				menu_addItemHash("BM_plank03", 0xB4C10FF3);
				menu_addAction();
				menu_addItemHash("BM_plank04", 0xBDCE220D);
				menu_addAction();
				menu_addItemHash("BM_pliers", 0x15C3721A);
				menu_addAction();
				menu_addItemHash("BM_police_booth", 0xE799A1F6);
				menu_addAction();
				menu_addItemHash("BM_poolcue", 0x65103D0B);
				menu_addAction();
				menu_addItemHash("BM_poolcuerack", 0x1032CE9B);
				menu_addAction();
				menu_addItemHash("BM_poolcuerack2", 0x1FE8D705);
				menu_addAction();
			}
			else if (item_selected == 16)
			{
				menu_header = objl_m2_objects_test7;
				menu_addItemHash("BM_printer1", 0x7037F878);
				menu_addAction();
				menu_addItemHash("BM_printer2", 0x5EE5D5D4);
				menu_addAction();
				menu_addItemHash("BM_prisonbog02", 0x9D64842B);
				menu_addAction();
				menu_addItemHash("BM_red_sauce", 0x1FF2CC3E);
				menu_addAction();
				menu_addItemHash("BM_redball", 0xF7908370);
				menu_addAction();
				menu_addItemHash("BM_rim_01", 0x6680E256);
				menu_addAction();
				menu_addItemHash("BM_rim_03", 0x11F4B93F);
				menu_addAction();
				menu_addItemHash("BM_rim_04", 0x93993C66);
				menu_addAction();
				menu_addItemHash("BM_rim_05", 0x83489BC5);
				menu_addAction();
				menu_addItemHash("BM_rub_battery", 0x38570E6B);
				menu_addAction();
				menu_addItemHash("BM_rub_bonnet", 0x54B60940);
				menu_addAction();
				menu_addItemHash("BM_rub_bum03", 0xB00A3268);
				menu_addAction();
				menu_addItemHash("BM_rub_bump01", 0x38E0EDDC);
				menu_addAction();
				menu_addItemHash("BM_rub_bump02", 0x4228006A);
				menu_addAction();
				menu_addItemHash("BM_rub_door1", 0x35F26AA4);
				menu_addAction();
				menu_addItemHash("BM_rub_engine", 0x41303AF8);
				menu_addAction();
				menu_addItemHash("BM_rub_exhaust", 0xD0AFCE9B);
				menu_addAction();
				menu_addItemHash("BM_rub_seat", 0x2553DAA9);
				menu_addAction();
				menu_addItemHash("BM_rub_tire", 0x659BA938);
				menu_addAction();
				menu_addItemHash("BM_rub_wheel01", 0x784CBD16);
				menu_addAction();
				menu_addItemHash("BM_rub_wheel02", 0x7E8B4993);
				menu_addAction();
				menu_addItemHash("BM_rub_wheel03", 0x8EC8EA0E);
				menu_addAction();
				menu_addItemHash("BM_RumBottle", 0xE4B624BA);
				menu_addAction();
				menu_addItemHash("BM_screwdrive1", 0xBB933832);
				menu_addAction();
				menu_addItemHash("BM_screwdrive2", 0x3A3F3588);
				menu_addAction();
				menu_addItemHash("BM_screwdrive3", 0x2AED96E5);
				menu_addAction();
				menu_addItemHash("BM_securitycam_01a", 0x397B9DE0);
				menu_addAction();
				menu_addItemHash("BM_securitycam_01b", 0x66C67875);
				menu_addAction();
				menu_addItemHash("BM_securitycam_02", 0xA700A6F6);
				menu_addAction();
				menu_addItemHash("BM_securitycam_03", 0xB4B84265);
				menu_addAction();
				menu_addItemHash("BM_securitycam_04", 0x42825D8F);
				menu_addAction();
				menu_addItemHash("BM_securitycam_05", 0x4CD37231);
				menu_addAction();
				menu_addItemHash("BM_server", 0x4C8465F1);
				menu_addAction();
				menu_addItemHash("BM_sofabed", 0x23DC19EF);
				menu_addAction();
				menu_addItemHash("BM_spade", 0xE2B60963);
				menu_addAction();
				menu_addItemHash("BM_spanner_adj", 0x4F2A4151);
				menu_addAction();
				menu_addItemHash("BM_spanner1", 0xE65646FB);
				menu_addAction();
				menu_addItemHash("BM_spanner3", 0xDAEA3023);
				menu_addAction();
				menu_addItemHash("BM_spanner4", 0x0AC78FDD);
				menu_addAction();
				menu_addItemHash("BM_speakerpole", 0x87D03D2F);
				menu_addAction();
				menu_addItemHash("BM_steambasket01", 0xA072B072);
				menu_addAction();
				menu_addItemHash("BM_steambasket02", 0x1E25ABDA);
				menu_addAction();
				menu_addItemHash("BM_table01", 0xAFC80ED3);
				menu_addAction();
				menu_addItemHash("BM_table02", 0xBA0E235F);
				menu_addAction();
				menu_addItemHash("BM_table03", 0xCC42C7C8);
				menu_addAction();
				menu_addItemHash("BM_table05", 0x64CC78D9);
				menu_addAction();
				menu_addItemHash("BM_table10", 0x37E7B884);
				menu_addAction();
				menu_addItemHash("BM_table11", 0x196DFB65);
				menu_addAction();
				menu_addItemHash("BM_table12", 0xFF8DC7A5);
				menu_addAction();
				menu_addItemHash("BM_table17", 0xB40FB0D6);
				menu_addAction();
				menu_addItemHash("BM_table19", 0x8C89619E);
				menu_addAction();
			}
			else if (item_selected == 17)
			{
				menu_header = objl_m2_objects_test8;
				menu_addItemHash("BM_tablelamp04", 0x4B666678);
				menu_addAction();
				menu_addItemHash("BM_tablelamp06b", 0xAE9034A1);
				menu_addAction();
				menu_addItemHash("BM_tablelamp07", 0x7B534651);
				menu_addAction();
				menu_addItemHash("BM_tablelamp08", 0x8990E2CC);
				menu_addAction();
				menu_addItemHash("BM_TallGlass", 0xFBB6A5D0);
				menu_addAction();
				menu_addItemHash("BM_tannoy", 0x89F88169);
				menu_addAction();
				menu_addItemHash("BM_Trex", 0x6C42171B);
				menu_addAction();
				menu_addItemHash("BM_trex_partB", 0x4DED717B);
				menu_addAction();
				menu_addItemHash("BM_Triceratops", 0x8C91027C);
				menu_addAction();
				menu_addItemHash("BM_triceratops_partb", 0xF982EC5A);
				menu_addAction();
				menu_addItemHash("BM_trolley01", 0x739141B5);
				menu_addAction();
				menu_addItemHash("BM_tvbox", 0x593F6427);
				menu_addAction();
				menu_addItemHash("BM_usbstick", 0xF47D5047);
				menu_addAction();
				menu_addItemHash("BM_vodkabottle", 0x92DA36BF);
				menu_addAction();
				menu_addItemHash("BM_wheelbarrow", 0x7CD44988);
				menu_addAction();
				menu_addItemHash("BM_whiskey1", 0xC254ACE3);
				menu_addAction();
				menu_addItemHash("BM_whiskeybottle", 0xFC77C9AF);
				menu_addAction();
				menu_addItemHash("BM_widetv", 0xD318157E);
				menu_addAction();
				menu_addItemHash("BM_WineGlass", 0xAAAEDA74);
				menu_addAction();
				menu_addItemHash("BM_Winestack1", 0x50B724E6);
				menu_addAction();
				menu_addItemHash("BM_Winestack2", 0x2B42D9FE);
				menu_addAction();
				menu_addItemHash("BM_wok", 0x5D994C4C);
				menu_addAction();
				menu_addItemHash("BM_woodcask1", 0xADEAAD23);
				menu_addAction();
				menu_addItemHash("BM_woodcask2", 0x9B18877F);
				menu_addAction();
				menu_addItemHash("BMb_smalltv", 0x3DAB80E7);
				menu_addAction();
				menu_addItemHash("BMb_widetv", 0x39ACA81F);
				menu_addAction();
				menu_addItemHash("CJ_BAG_TABLE", 0x127C4966);
				menu_addAction();
				menu_addItemHash("CJ_BAN_1", 0x6A0812D3);
				menu_addAction();
				menu_addItemHash("CJ_BAN_2", 0x7B4DB55E);
				menu_addAction();
				menu_addItemHash("CJ_BAN_3", 0x8E90DBE4);
				menu_addAction();
				menu_addItemHash("CJ_BAN_4", 0xA05B7F79);
				menu_addAction();
				menu_addItemHash("CJ_BAN_5", 0x362C2B28);
				menu_addAction();
				menu_addItemHash("CJ_BAN_6", 0x4866CF9D);
				menu_addAction();
				menu_addItemHash("CJ_BAN_7", 0x57036CD6);
				menu_addAction();
				menu_addItemHash("CJ_BAN_8", 0x7942B154);
				menu_addAction();
				menu_addItemHash("CJ_bank_mon", 0x6F4F865A);
				menu_addAction();
				menu_addItemHash("CJ_BASK_1", 0xDE3DFEF1);
				menu_addAction();
				menu_addItemHash("CJ_BEDROOM1_W", 0xA9260604);
				menu_addAction();
				menu_addItemHash("CJ_BEER_TABLE_1", 0x3987DCE2);
				menu_addAction();
				menu_addItemHash("CJ_BFAST_J_2", 0x0DF10C75);
				menu_addAction();
				menu_addItemHash("CJ_BICCIE_2", 0xAED9A4F4);
				menu_addAction();
				menu_addItemHash("CJ_BICCIE_BOX", 0x271F0B8B);
				menu_addAction();
				menu_addItemHash("CJ_BILLBRD_1a", 0xB4A4DCCF);
				menu_addAction();
				menu_addItemHash("CJ_BM_HALF_CABINET", 0x2ACCEFB4);
				menu_addAction();
				menu_addItemHash("CJ_BM_PHONE1", 0xE6359423);
				menu_addAction();
				menu_addItemHash("CJ_BOX_PILE", 0x8191812E);
				menu_addAction();
				menu_addItemHash("CJ_BOX_PILE_2", 0xB5A0418E);
				menu_addAction();
				menu_addItemHash("CJ_BREAD_RACK_2", 0x317343FD);
				menu_addAction();
				menu_addItemHash("CJ_BRIAZER", 0x1AE7947B);
				menu_addAction();
				menu_addItemHash("CJ_BS_07", 0x9C4039D5);
				menu_addAction();
				menu_addItemHash("CJ_BS_08", 0xA24C45ED);
				menu_addAction();
			}
			else if (item_selected == 18)
			{
				menu_header = objl_m2_objects_test9;
				menu_addItemHash("CJ_BARRIER_1", 0xD6DF5631);
				menu_addAction();
				menu_addItemHash("CJ_BARRIER_10", 0xE02F3A89);
				menu_addAction();
				menu_addItemHash("CJ_BARRIER_10b", 0x274C0E25);
				menu_addAction();
				menu_addItemHash("CJ_BARRIER_11", 0xF3C061AB);
				menu_addAction();
				menu_addItemHash("CJ_BARRIER_11b", 0xE3C2159E);
				menu_addAction();
				menu_addItemHash("CJ_BARRIER_1b", 0xC6800727);
				menu_addAction();
				menu_addItemHash("CJ_BARRIER_1c", 0xF84E6AC3);
				menu_addAction();
				menu_addItemHash("CJ_BARRIER_2", 0x8999BBA7);
				menu_addAction();
				menu_addItemHash("CJ_BARRIER_3", 0x7B731F5A);
				menu_addAction();
				menu_addItemHash("CJ_BARRIER_4B", 0xFA93E30E);
				menu_addAction();
				menu_addItemHash("CJ_BARRIER_5", 0x2B7B7F68);
				menu_addAction();
				menu_addItemHash("CJ_BARRIER_5B", 0x09B7FFF6);
				menu_addAction();
				menu_addItemHash("CJ_BARRIER_6", 0xDC04E080);
				menu_addAction();
				menu_addItemHash("CJ_BARRIER_6b", 0x641957F3);
				menu_addAction();
				menu_addItemHash("CJ_BARRIER_7", 0xCDDB442D);
				menu_addAction();
				menu_addItemHash("CJ_BARRIER_7b", 0x5E654B6B);
				menu_addAction();
				menu_addItemHash("CJ_BARRIER_8", 0xF0BC89EB);
				menu_addAction();
				menu_addItemHash("CJ_BARRIER_8_LIGHT", 0xA57C0D83);
				menu_addAction();
				menu_addItemHash("CJ_BARRIER_8b", 0x79AFE57C);
				menu_addAction();
				menu_addItemHash("CJ_BARRIER_8c", 0x8FCA91B5);
				menu_addAction();
				menu_addItemHash("CJ_BARRIER_9", 0x6276ED5E);
				menu_addAction();
				menu_addItemHash("CJ_BARRIER_9b", 0xF41CD9A4);
				menu_addAction();
				menu_addItemHash("CJ_CAGE_1", 0x4F849EEF);
				menu_addAction();
				menu_addItemHash("CJ_CAGE_2", 0x3D32FA4C);
				menu_addAction();
				menu_addItemHash("CJ_CAGE_3", 0x70E861B6);
				menu_addAction();
				menu_addItemHash("CJ_CAGE_4", 0x5E903D06);
				menu_addAction();
				menu_addItemHash("CJ_CAGE_5", 0x05C90B79);
				menu_addAction();
				menu_addItemHash("CJ_CAR_WASH_BARRIER", 0x6CC65A1E);
				menu_addAction();
				menu_addItemHash("CJ_CAR_WASH_TICKET", 0x65E5A01F);
				menu_addAction();
				menu_addItemHash("CJ_CARP_ROLL_1", 0x691FC81D);
				menu_addAction();
				menu_addItemHash("CJ_CARP_ROLL_2", 0x1B8EACF8);
				menu_addAction();
				menu_addItemHash("CJ_CARP_ROLL_3", 0x45B6014A);
				menu_addAction();
				menu_addItemHash("CJ_CARPET_DIRT", 0x7CC8FE06);
				menu_addAction();
				menu_addItemHash("CJ_CASE_2", 0xCCF4320E);
				menu_addAction();
				menu_addItemHash("CJ_CASH_PILE_1", 0xE0B3F6E1);
				menu_addAction();
				menu_addItemHash("CJ_CASH_PILE_3", 0x6A02896C);
				menu_addAction();
				menu_addItemHash("CJ_CHAIR_1", 0xE34FD0C6);
				menu_addAction();
				menu_addItemHash("CJ_CHAIR_2", 0x9525B473);
				menu_addAction();
				menu_addItemHash("CJ_CHAIR_6", 0xCF72A90C);
				menu_addAction();
				menu_addItemHash("CJ_CHAIR_7", 0x1915BC55);
				menu_addAction();
				menu_addItemHash("CJ_CHAIR10", 0x1F399D95);
				menu_addAction();
				menu_addItemHash("CJ_CHAIR13", 0xFD4F5995);
				menu_addAction();
				menu_addItemHash("CJ_CHAIR2", 0x6EFBD96B);
				menu_addAction();
				menu_addItemHash("CJ_CHAIR3", 0x15E3273B);
				menu_addAction();
				menu_addItemHash("CJ_CHAIR4", 0x02688046);
				menu_addAction();
				menu_addItemHash("CJ_CHAIR5", 0x3955EE20);
				menu_addAction();
				menu_addItemHash("CJ_CHAIR8", 0x009FFCB5);
				menu_addAction();
				menu_addItemHash("CJ_CHEESE_1", 0xEEACB722);
				menu_addAction();
				menu_addItemHash("CJ_CHEESE_3", 0xC18FDCED);
				menu_addAction();
				menu_addItemHash("CJ_CHINA_GLASS1", 0x4C6BAAED);
				menu_addAction();
				menu_addItemHash("CJ_CHINA_GLASS1a", 0xE11D4D98);
				menu_addAction();
			}
			else if (item_selected == 19)
			{
				menu_header = objl_m2_objects_test10;
				menu_addItemHash("CJ_CHOPPING_BOARD", 0x98E95757);
				menu_addAction();
				menu_addItemHash("CJ_CABLEROLL", 0x41EC4847);
				menu_addAction();
				menu_addItemHash("BM_powersaw", 0x8A256069);
				menu_addAction();
				menu_addItemHash("BM_juiceskoosh", 0x5EBDC4F4);
				menu_addAction();
				menu_addItemHash("ab_KORtableFIXED", 0xEE93743D);
				menu_addAction();
				menu_addItemHash("BM_fruitbowl06", 0x3DCC9CD9);
				menu_addAction();
				menu_addItemHash("BM_laptop", 0xCFFE2EF7);
				menu_addAction();
				menu_addItemHash("BM_oldpool", 0x6CB222FE);
				menu_addAction();
				menu_addItemHash("BM_spicycrisps", 0x811A849C);
				menu_addAction();
				menu_addItemHash("CJ_CIABATTA_1", 0x7EAE78D9);
				menu_addAction();
				menu_addItemHash("CJ_CLOCK", 0x46DEFA30);
				menu_addAction();
				menu_addItemHash("CJ_CLOTHES_RADIAL1", 0x47587D44);
				menu_addAction();
				menu_addItemHash("CJ_COFFEE_CUP", 0x7E5379BC);
				menu_addAction();
				menu_addItemHash("CJ_COFFEE_CUP01", 0xEC9A0F1E);
				menu_addAction();
				menu_addItemHash("CJ_COFFEE_CUP02", 0xFAD5AB95);
				menu_addAction();
				menu_addItemHash("cj_coffee_mac", 0xC0998598);
				menu_addAction();
				menu_addItemHash("cj_coffee_mac_1", 0xE400D530);
				menu_addAction();
				menu_addItemHash("cj_coffee_mac_2", 0x1168B003);
				menu_addAction();
				menu_addItemHash("cj_coffee_mac2", 0xA940DE00);
				menu_addAction();
				menu_addItemHash("CJ_COFFEEE_MAC_1", 0x20DB88C9);
				menu_addAction();
				menu_addItemHash("CJ_COKE_PACK", 0x2C5C740D);
				menu_addAction();
				menu_addItemHash("CJ_COLA_BOTTLE1", 0x9E4E120B);
				menu_addAction();
				menu_addItemHash("CJ_COLA_BOTTLE2", 0xD09FF6AE);
				menu_addAction();
				menu_addItemHash("CJ_cola_BOX", 0x08BD204D);
				menu_addAction();
				menu_addItemHash("CJ_cola_BOX_2", 0x3298AD0A);
				menu_addAction();
				menu_addItemHash("CJ_daisy_1", 0xCD052480);
				menu_addAction();
				menu_addItemHash("CJ_daisy_2", 0xBB03807D);
				menu_addAction();
				menu_addItemHash("CJ_DART_1", 0xF1388248);
				menu_addAction();
				menu_addItemHash("CJ_DART_2", 0xDF085DE8);
				menu_addAction();
				menu_addItemHash("CJ_DART_3", 0x5CC5D961);
				menu_addAction();
				menu_addItemHash("CJ_DART_4", 0x4A8EB4F3);
				menu_addAction();
				menu_addItemHash("CJ_DART_5", 0x37E38F9D);
				menu_addAction();
				menu_addItemHash("CJ_DART_6", 0x2601EBDA);
				menu_addAction();
				menu_addItemHash("CJ_DART_7", 0xA7DF6F93);
				menu_addAction();
				menu_addItemHash("CJ_DART_BOARD", 0x1B11B700);
				menu_addAction();
				menu_addItemHash("CJ_DART_BOARD_CAB", 0x01FB9E41);
				menu_addAction();
				menu_addItemHash("CJ_DART_TARGET", 0x7AF81529);
				menu_addAction();
				menu_addItemHash("CJ_DART_TARGET2", 0xF5B1C3D6);
				menu_addAction();
				menu_addItemHash("CJ_DAVE_CLOCK_1", 0x41C0C67C);
				menu_addAction();
				menu_addItemHash("CJ_DAVE_CLOCK_2", 0x6FF7A2E9);
				menu_addAction();
				menu_addItemHash("CJ_DINNER_PLATE_1", 0xE18762B8);
				menu_addAction();
				menu_addItemHash("CJ_DINNER_PLATE_1b", 0x267ECC69);
				menu_addAction();
				menu_addItemHash("CJ_DINNER_PLATE_2", 0xF7C98F3C);
				menu_addAction();
				menu_addItemHash("CJ_DINNER_PLATE_2b", 0x96A4294A);
				menu_addAction();
				menu_addItemHash("CJ_DINNER_PLATE_3", 0xBC4B9841);
				menu_addAction();
				menu_addItemHash("CJ_DINNER_PLATE_3b", 0xAFAC60DA);
				menu_addAction();
				menu_addItemHash("CJ_DINNER_PLATE_3c", 0xC167044F);
				menu_addAction();
				menu_addItemHash("CJ_DINNER_PLATE_4", 0xD2A4C4F3);
				menu_addAction();
				menu_addItemHash("CJ_DINNER_PLATE_5b", 0xF1EEE7CA);
				menu_addAction();
				menu_addItemHash("CJ_DINNER_PLATE_7", 0xB65A0C46);
				menu_addAction();
				menu_addItemHash("CJ_DIVING_BOARD", 0x93A84AB9);
				menu_addAction();
			}
			else if (item_selected == 20)
			{
				menu_header = objl_m2_objects_test11;
				menu_addItemHash("CJ_FILEING_CAB_2", 0x7BFE796C);
				menu_addAction();
				menu_addItemHash("CJ_FRIDGE_3", 0x225E36F8);
				menu_addAction();
				menu_addItemHash("CJ_TURN_TABLE_2", 0xF711CA07);
				menu_addAction();
				menu_addItemHash("CJ_TV_2", 0x9F874857);
				menu_addAction();
				menu_addItemHash("CJ_TV_2_SCREEN_04", 0xAD54AB75);
				menu_addAction();
				menu_addItemHash("CJ_TV_3", 0x473D97C5);
				menu_addAction();
				menu_addItemHash("CJ_TV_6", 0xDE5B4602);
				menu_addAction();
				menu_addItemHash("CJ_TV_9", 0xC0E20B10);
				menu_addAction();
				menu_addItemHash("CJ_TV_BOX_1", 0xD3826752);
				menu_addAction();
				menu_addItemHash("CJ_US_FLAG_1", 0x9215C587);
				menu_addAction();
				menu_addItemHash("CJ_US_FLAG_2", 0x8BCAB8F1);
				menu_addAction();
				menu_addItemHash("CJ_VASE_3", 0x9A701581);
				menu_addAction();
				menu_addItemHash("CJ_VASE_7", 0xE195A3D3);
				menu_addAction();
				menu_addItemHash("CJ_VEIW_TELESCOPE", 0xFFF04E87);
				menu_addAction();
				menu_addItemHash("CJ_Video_2", 0xA70C6F72);
				menu_addAction();
				menu_addItemHash("CJ_Video_3", 0xE9AFF4B8);
				menu_addAction();
				menu_addItemHash("CJ_W_BARRIER", 0xBA03D197);
				menu_addAction();
				menu_addItemHash("CJ_W_BARRIER_ARM", 0xB2C7DCAC);
				menu_addAction();
				menu_addItemHash("CJ_W_CRADLE_HARNESS", 0x8B533030);
				menu_addAction();
				menu_addItemHash("CJ_WALL_BILLBRD_1", 0x37FACAD5);
				menu_addAction();
				menu_addItemHash("CJ_WALL_BILLBRD_2", 0x96238725);
				menu_addAction();
				menu_addItemHash("CJ_WALL_LIGHT_2", 0xFCB32869);
				menu_addAction();
				menu_addItemHash("CJ_WALL_LIGHT_4", 0xD1305164);
				menu_addAction();
				menu_addItemHash("CJ_WASH_MAC_4", 0x104B7979);
				menu_addAction();
				menu_addItemHash("CJ_WASH_MAC_5", 0x857363D3);
				menu_addAction();
				menu_addItemHash("CJ_WASH_MAC_6", 0x773FC76C);
				menu_addAction();
				menu_addItemHash("CJ_WASTE_CHUTE", 0x62088033);
				menu_addAction();
				menu_addItemHash("CJ_WASTE_CHUTE2", 0x32FB9E21);
				menu_addAction();
				menu_addItemHash("CJ_WASTEBIN", 0x204B3D51);
				menu_addAction();
				menu_addItemHash("CJ_WASTEBIN_2", 0xAB09B13D);
				menu_addAction();
				menu_addItemHash("CJ_WATER_BAR_1", 0x22ABDA71);
				menu_addAction();
				menu_addItemHash("CJ_WHITE_CHAIR_1", 0x1F5CF41F);
				menu_addAction();
				menu_addItemHash("CJ_WHITE_CHAIR_2", 0xED92108A);
				menu_addAction();
				menu_addItemHash("CJ_WHITE_TABLE_1", 0x03352336);
				menu_addAction();
				menu_addItemHash("CJ_WORK_SIGN_07", 0x9721A8A7);
				menu_addAction();
				menu_addItemHash("CJ_WORK_SIGN_07b", 0xF0BCF556);
				menu_addAction();
				menu_addItemHash("CJ_WORK_SIGN_1", 0xD2E4333B);
				menu_addAction();
				menu_addItemHash("CJ_WORK_SIGN_2", 0xC3AA94C8);
				menu_addAction();
				menu_addItemHash("CJ_WORK_SIGN_3", 0xB68C7A8C);
				menu_addAction();
				menu_addItemHash("CJ_WORK_SIGN_4", 0xA857DE23);
				menu_addAction();
				menu_addItemHash("CJ_WORK_SIGN_5", 0x89D0A115);
				menu_addAction();
				menu_addItemHash("CJ_WORK_SIGN_6", 0x7AA502BE);
				menu_addAction();
				menu_addItemHash("CJ_WORK_SIGN_6b", 0xCC992516);
				menu_addAction();
				menu_addItemHash("GB_armchair_1", 0xC1B6521E);
				menu_addAction();
				menu_addItemHash("GB_armchair_2", 0xD8787FA2);
				menu_addAction();
				menu_addItemHash("GB_armchair04", 0x152AE13B);
				menu_addAction();
				menu_addItemHash("GB_BAGdrug01", 0xE492C5D3);
				menu_addAction();
				menu_addItemHash("GB_bed05", 0xAB08FE7D);
				menu_addAction();
				menu_addItemHash("GB_bed09", 0xE2306CCB);
				menu_addAction();
				menu_addItemHash("GB_bed13", 0x50C34D47);
				menu_addAction();
				menu_addItemHash("GB_bedsidetable01", 0x45779065);
				menu_addAction();
			}
			else if (item_selected == 21)
			{
				menu_header = objl_m2_objects_test12;
				menu_addItemHash("CJ_COK_CHEAP", 0x534CE30D);
				menu_addAction();
				menu_addItemHash("CJ_COK_FILTER", 0x82E2FD8D);
				menu_addAction();
				menu_addItemHash("CJ_COK_LIGHT", 0x22CB56E4);
				menu_addAction();
				menu_addItemHash("CJ_DOG_TIN_2", 0x9415BD76);
				menu_addAction();
				menu_addItemHash("CJ_EXPRESSO_CUP", 0x85E2A844);
				menu_addAction();
				menu_addItemHash("CJ_FIRST_AID_PICKUP", 0x3FC62578);
				menu_addAction();
				menu_addItemHash("CJ_FISHING_ROD_1", 0x018C5968);
				menu_addAction();
				menu_addItemHash("CJ_FRUITCRATE1", 0xB0856116);
				menu_addAction();
				menu_addItemHash("CJ_FRUITCRATE2", 0x7B87771B);
				menu_addAction();
				menu_addItemHash("CJ_FRUITCRATE3", 0x8C6198CF);
				menu_addAction();
				menu_addItemHash("CJ_GAME_GRID", 0x4F3E5681);
				menu_addAction();
				menu_addItemHash("CJ_GARAGE_DOOR_BIG", 0xCB19F86B);
				menu_addAction();
				menu_addItemHash("CJ_GB_bench_1", 0x17911992);
				menu_addAction();
				menu_addItemHash("CJ_GB_bench_2", 0x2D004470);
				menu_addAction();
				menu_addItemHash("CJ_GB_bench_3", 0xAB22C0AF);
				menu_addAction();
				menu_addItemHash("CJ_GB_bench_4", 0x62A62FBB);
				menu_addAction();
				menu_addItemHash("CJ_GB_JUMP_1", 0x4C48AB7C);
				menu_addAction();
				menu_addItemHash("CJ_GB_JUMP_2", 0x1E6ECFC9);
				menu_addAction();
				menu_addItemHash("CJ_GB_JUMP_3", 0xFF569199);
				menu_addAction();
				menu_addItemHash("CJ_GIN_BOT_SM", 0xB3C4B6C9);
				menu_addAction();
				menu_addItemHash("CJ_GOLF_CLUB_1", 0xBC0805E7);
				menu_addAction();
				menu_addItemHash("CJ_GOLF_CLUB_2", 0x396F80B8);
				menu_addAction();
				menu_addItemHash("CJ_GOLF_CLUB_3", 0x27385C4A);
				menu_addAction();
				menu_addItemHash("CJ_HANDDRIER", 0x9B40E40D);
				menu_addAction();
				menu_addItemHash("CJ_HANDLE_LD", 0x5C58553C);
				menu_addAction();
				menu_addItemHash("CJ_HANDSET_ONE", 0x51207518);
				menu_addAction();
				menu_addItemHash("CJ_HI_FI_2", 0xCB3B1AB6);
				menu_addAction();
				menu_addItemHash("CJ_HI_FI_SEP_3", 0xE93EA7FB);
				menu_addAction();
				menu_addItemHash("CJ_HOLDALL", 0x2E090DFC);
				menu_addAction();
				menu_addItemHash("CJ_HOT_FLAG_2", 0x7BC211CE);
				menu_addAction();
				menu_addItemHash("CJ_IND_BOX_PILE_1", 0x4F6F0EC6);
				menu_addAction();
				menu_addItemHash("CJ_IND_BOX_PILE_1b", 0x268408A5);
				menu_addAction();
				menu_addItemHash("CJ_IND_BOX_PILE_1c", 0x58BAED12);
				menu_addAction();
				menu_addItemHash("CJ_IND_BOX_PILE_1LD", 0x4BBDE2FC);
				menu_addAction();
				menu_addItemHash("CJ_IND_BOX_PILE_2", 0x3D2E6A41);
				menu_addAction();
				menu_addItemHash("CJ_IND_BOX_PILE_2LD", 0x3E5CB04B);
				menu_addAction();
				menu_addItemHash("CJ_IND_CABLEW_1", 0xF8430CEC);
				menu_addAction();
				menu_addItemHash("CJ_IND_CABLEW_2", 0x0828ACB3);
				menu_addAction();
				menu_addItemHash("CJ_IND_CRATE_1", 0x46AC663A);
				menu_addAction();
				menu_addItemHash("CJ_IND_CRATE_2", 0xC94E6B80);
				menu_addAction();
				menu_addItemHash("CJ_IND_CRATE_3", 0xBB14CF0D);
				menu_addAction();
				menu_addItemHash("CJ_IND_CRATE_4", 0xAA4D2D7E);
				menu_addAction();
				menu_addItemHash("CJ_IND_CRATE_5", 0x0C04F0EC);
				menu_addAction();
				menu_addItemHash("CJ_IND_dynamic", 0x58EB0DAB);
				menu_addAction();
				menu_addItemHash("CJ_IND_GAS", 0x7ED0E3F1);
				menu_addAction();
				menu_addItemHash("CJ_IND_PIPE_1", 0xDCFCD4C7);
				menu_addAction();
				menu_addItemHash("CJ_IND_PIPE_2", 0x8B41B152);
				menu_addAction();
				menu_addItemHash("CJ_IND_PIPE_2b", 0x6804F9DB);
				menu_addAction();
				menu_addItemHash("CJ_IND_PIPE_3", 0xA9A9EE22);
				menu_addAction();
				menu_addItemHash("CJ_IND_PIPE_4", 0xC814AAF3);
				menu_addAction();
				menu_addItemHash("CJ_IND_PIPE_5", 0xC1E99E9D);
				menu_addAction();
			}
			else if (item_selected == 22)
			{
				menu_header = objl_m2_objects_test13;
				menu_addItemHash("CJ_IND_RAFT_BIG", 0x5A22016D);
				menu_addAction();
				menu_addItemHash("CJ_IND_WASHER_3", 0xC07D59B9);
				menu_addAction();
				menu_addItemHash("CJ_IND_WASHER_5", 0x5D491352);
				menu_addAction();
				menu_addItemHash("CJ_IND_WOODPILE_1", 0x038BB534);
				menu_addAction();
				menu_addItemHash("CJ_IND_WOODPILE_2", 0xDC9BE751);
				menu_addAction();
				menu_addItemHash("CJ_IND_WOODPILE_3", 0xE96580E4);
				menu_addAction();
				menu_addItemHash("CJ_IND_WOODPILE_4", 0xC0482EAA);
				menu_addAction();
				menu_addItemHash("CJ_IND_WOODPILE_5", 0xCEDACBCF);
				menu_addAction();
				menu_addItemHash("CJ_IND_WOODPILE_6", 0xA3D875CF);
				menu_addAction();
				menu_addItemHash("CJ_IND_WOODPILE_7", 0xB0578EC9);
				menu_addAction();
				menu_addItemHash("CJ_IND_WOODPILE_8", 0x876ABCF4);
				menu_addAction();
				menu_addItemHash("CJ_IND_WOODPILE_9", 0x95215861);
				menu_addAction();
				menu_addItemHash("CJ_INTERCOM", 0x4E2876F1);
				menu_addAction();
				menu_addItemHash("CJ_KETTLE_1", 0x165B0BE8);
				menu_addAction();
				menu_addItemHash("CJ_KETTLE_3", 0xE86B3009);
				menu_addAction();
				menu_addItemHash("CJ_KETTLE_6", 0xB817CF53);
				menu_addAction();
				menu_addItemHash("CJ_KNIFE", 0x944B1B1E);
				menu_addAction();
				menu_addItemHash("CJ_KNIFE_STAND", 0xF78C43B7);
				menu_addAction();
				menu_addItemHash("CJ_KNIVE_RACK", 0xBBB3818D);
				menu_addAction();
				menu_addItemHash("CJ_LAUND_BENCH", 0xDC2B1AC4);
				menu_addAction();
				menu_addItemHash("CJ_LAUND_BENCH_2", 0x5DE3A627);
				menu_addAction();
				menu_addItemHash("CJ_LOBBY_PILLER", 0x749F6A62);
				menu_addAction();
				menu_addItemHash("CJ_MINCER", 0x44DE313B);
				menu_addAction();
				menu_addItemHash("CJ_MINI_BOMB", 0xB6732F57);
				menu_addAction();
				menu_addItemHash("CJ_NEW_ATM", 0x9A339812);
				menu_addAction();
				menu_addItemHash("CJ_NEW_BIN", 0xD51B0BE3);
				menu_addAction();
				menu_addItemHash("CJ_NEW_LAW_CHAIR1", 0x09978B06);
				menu_addAction();
				menu_addItemHash("CJ_NEW_LAW_SEAT_1", 0x6A423FEE);
				menu_addAction();
				menu_addItemHash("CJ_NEW_LAW_SEAT_3", 0x60622C1E);
				menu_addAction();
				menu_addItemHash("cj_noodle_1", 0xECC1DB60);
				menu_addAction();
				menu_addItemHash("cj_noodle_2", 0xDE843EE5);
				menu_addAction();
				menu_addItemHash("cj_noodle_3", 0xAF51E081);
				menu_addAction();
				menu_addItemHash("cj_noodle_4", 0xA117440C);
				menu_addAction();
				menu_addItemHash("CJ_Num_0", 0xD9D8E6DF);
				menu_addAction();
				menu_addItemHash("CJ_Num_1", 0xCC12CB53);
				menu_addAction();
				menu_addItemHash("CJ_Num_2", 0xC34C39C6);
				menu_addAction();
				menu_addItemHash("CJ_Num_3", 0xA78D0248);
				menu_addAction();
				menu_addItemHash("CJ_Num_4", 0x0EA0506D);
				menu_addAction();
				menu_addItemHash("CJ_Num_5", 0x40D434D8);
				menu_addAction();
				menu_addItemHash("CJ_Num_6", 0xFC21AB70);
				menu_addAction();
				menu_addItemHash("CJ_Num_7", 0xEE680FFD);
				menu_addAction();
				menu_addItemHash("CJ_Num_8", 0x4C014B32);
				menu_addAction();
				menu_addItemHash("CJ_Num_9", 0x7E342F97);
				menu_addAction();
				menu_addItemHash("CJ_NY_BIN_1", 0xD0D3E57F);
				menu_addAction();
				menu_addItemHash("CJ_NY_PHONE_1", 0x2B2AD851);
				menu_addAction();
				menu_addItemHash("CJ_NY_PHONE_2", 0x1D743CE4);
				menu_addAction();
				menu_addItemHash("CJ_NY_PHONE_3", 0x47A1913E);
				menu_addAction();
				menu_addItemHash("CJ_NY_PHONE_4", 0x39DFF5BB);
				menu_addAction();
				menu_addItemHash("CJ_NY_PHONE_WALL", 0xA88D3BEF);
				menu_addAction();
				menu_addItemHash("CJ_O2_tank", 0xD8B31F4F);
				menu_addAction();
				menu_addItemHash("CJ_OFF_SUP_SHELF", 0xF2349884);
				menu_addAction();
			}
			else if (item_selected == 23)
			{
				menu_header = objl_m2_objects_test14;
				menu_addItemHash("CJ_NY_PAP_DISP_1", 0x40660491);
				menu_addAction();
				menu_addItemHash("CJ_NY_PAP_DISP_2", 0x6E1FE004);
				menu_addAction();
				menu_addItemHash("CJ_NY_PAP_DISP_3", 0x24684C96);
				menu_addAction();
				menu_addItemHash("CJ_NY_PAP_DISP_4", 0x529F2903);
				menu_addAction();
				menu_addItemHash("CJ_NY_PAP_DISP_5", 0x0A0497CF);
				menu_addAction();
				menu_addItemHash("CJ_NY_PAP_DISP_6", 0x3642704A);
				menu_addAction();
				menu_addItemHash("CJ_NY_PAP_DISP_7", 0xED1CDE00);
				menu_addAction();
				menu_addItemHash("CJ_NY_PAP_DISP_8", 0x1B77BAB5);
				menu_addAction();
				menu_addItemHash("CJ_NY_PAP_DISP_9", 0xF5B8EF14);
				menu_addAction();
				menu_addItemHash("CJ_NY_POSTBOX", 0x9FEEACE1);
				menu_addAction();
				menu_addItemHash("CJ_NY_POSTBOX_2", 0x71E683A4);
				menu_addAction();
				menu_addItemHash("CJ_NY_POSTBOX_B", 0x836F26B9);
				menu_addAction();
				menu_addItemHash("CJ_NY_POSTBOX_B_graf", 0x747FCEC3);
				menu_addAction();
				menu_addItemHash("CJ_NY_POSTBOX_graf", 0x5B2A8907);
				menu_addAction();
				menu_addItemHash("CJ_NY_SCAFF_1", 0x7ED84557);
				menu_addAction();
				menu_addItemHash("CJ_NY_SCAFF_1b", 0x24804C9B);
				menu_addAction();
				menu_addItemHash("CJ_NY_SCAFF01", 0xBC92999A);
				menu_addAction();
				menu_addItemHash("CJ_NY_SCAFF04", 0x304180F2);
				menu_addAction();
				menu_addItemHash("CJ_NY_SIGN_11", 0xBFF7C1E9);
				menu_addAction();
				menu_addItemHash("CJ_NY_SIGN_12", 0xEDCE1D95);
				menu_addAction();
				menu_addItemHash("CJ_NY_SIGN_14", 0x3534AC11);
				menu_addAction();
				menu_addItemHash("CJ_NY_SIGN_16", 0x1AB1F6FC);
				menu_addAction();
				menu_addItemHash("CJ_NY_SIGN_17", 0x0EABDEF0);
				menu_addAction();
				menu_addItemHash("CJ_NY_SIGN_18", 0xFC573A47);
				menu_addAction();
				menu_addItemHash("CJ_NY_SIGN_6", 0x52555114);
				menu_addAction();
				menu_addItemHash("CJ_NY_SIGN_6L", 0x875A53AB);
				menu_addAction();
				menu_addItemHash("CJ_NY_SIGN_8", 0x39A49FB3);
				menu_addAction();
				menu_addItemHash("CJ_NY_SIGN03", 0x9CFF7B3D);
				menu_addAction();
				menu_addItemHash("CJ_NY_SIGN1", 0xCC1621AC);
				menu_addAction();
				menu_addItemHash("CJ_NY_SIGN2", 0x2AFDDF7A);
				menu_addAction();
				menu_addItemHash("CJ_NYLAMP1", 0x9A978A05);
				menu_addAction();
				menu_addItemHash("CJ_NYLAMP2", 0x3D4E4F74);
				menu_addAction();
				menu_addItemHash("CJ_NYLAMP2b", 0x0F1C59B2);
				menu_addAction();
				menu_addItemHash("CJ_OFF_SUP_1", 0x03D5C506);
				menu_addAction();
				menu_addItemHash("CJ_OFF_SUP_3", 0xBDC7B8EB);
				menu_addAction();
				menu_addItemHash("CJ_OFF_SUP_4", 0x837F445B);
				menu_addAction();
				menu_addItemHash("CJ_OFF_SUP_5", 0xE14CFFF5);
				menu_addAction();
				menu_addItemHash("CJ_OFF_SUP_7", 0x76702A3D);
				menu_addAction();
				menu_addItemHash("CJ_OIL_DRUM", 0x5DF29651);
				menu_addAction();
				menu_addItemHash("CJ_OIL_DRUM_2", 0x7208DB8E);
				menu_addAction();
				menu_addItemHash("CJ_OIL_DRUM_3", 0xC63083DC);
				menu_addAction();
				menu_addItemHash("CJ_OIL_DRUM_4", 0xD79E26B7);
				menu_addAction();
				menu_addItemHash("CJ_OIL_TIN_1", 0xCD0F256D);
				menu_addAction();
				menu_addItemHash("CJ_OIL_TIN_2", 0xBB5081F0);
				menu_addAction();
				menu_addItemHash("CJ_OLD_BOAT_1", 0x7F131EE0);
				menu_addAction();
				menu_addItemHash("CJ_Pallet_trolly_1", 0x35AC3BC2);
				menu_addAction();
				menu_addItemHash("CJ_Pallet_trolly_2", 0x27229EAF);
				menu_addAction();
				menu_addItemHash("CJ_Pallet_trolly_3", 0xC875E15B);
				menu_addAction();
				menu_addItemHash("CJ_Pallet_trolly_4", 0xBAC345F6);
				menu_addAction();
				menu_addItemHash("CJ_Pallet_trolly_5", 0xEBF6A85C);
				menu_addAction();
				menu_addItemHash("CJ_Pallet_trolly_6", 0xDE390CE1);
				menu_addAction();
			}
			else if (item_selected == 24)
			{
				menu_header = objl_m2_objects_test15;
				menu_addItemHash("CJ_OLD_OFFICE", 0xA4484746);
				menu_addAction();
				menu_addItemHash("CJ_P_POT_1", 0x0371DB28);
				menu_addAction();
				menu_addItemHash("CJ_P_POT_4", 0x873EE2B8);
				menu_addAction();
				menu_addItemHash("CJ_P_TV_1", 0x3A25BD83);
				menu_addAction();
				menu_addItemHash("CJ_P_TV_2", 0x7C80422B);
				menu_addAction();
				menu_addItemHash("CJ_PAINT_POT_1", 0x9F730F70);
				menu_addAction();
				menu_addItemHash("CJ_PAINT_POT_2", 0xA9BA23FE);
				menu_addAction();
				menu_addItemHash("CJ_PAINT_POT_3", 0xBAF0C66B);
				menu_addAction();
				menu_addItemHash("CJ_PARKING_FRAME_1", 0xAF233EA4);
				menu_addAction();
				menu_addItemHash("CJ_PARKING_FRAME_2", 0xBCE1DA21);
				menu_addAction();
				menu_addItemHash("CJ_PARKING_FRAME_3", 0x29FDB457);
				menu_addAction();
				menu_addItemHash("CJ_PARKING_FRAME_4", 0x39BB53D2);
				menu_addAction();
				menu_addItemHash("cj_parking_sign_1", 0xD3B52D51);
				menu_addAction();
				menu_addItemHash("cj_parking_sign_2", 0x00A70734);
				menu_addAction();
				menu_addItemHash("cj_parking_sign_3", 0x0EE1A3A9);
				menu_addAction();
				menu_addItemHash("CJ_PAVE_EXAUST", 0xB26A3283);
				menu_addAction();
				menu_addItemHash("CJ_PHONE_OFF", 0x8FF301F7);
				menu_addAction();
				menu_addItemHash("CJ_pigeon_05", 0xF2CFF3E4);
				menu_addAction();
				menu_addItemHash("CJ_pigeon_06", 0x1B31C4AB);
				menu_addAction();
				menu_addItemHash("CJ_pigeon_07", 0x0962210C);
				menu_addAction();
				menu_addItemHash("CJ_pigeon_08", 0x579FBD86);
				menu_addAction();
				menu_addItemHash("CJ_pigeon_1", 0x98952AEB);
				menu_addAction();
				menu_addItemHash("CJ_PING_PONG", 0x54AAE979);
				menu_addAction();
				menu_addItemHash("CJ_PLASTIC_CUPs", 0x28635F9B);
				menu_addAction();
				menu_addItemHash("CJ_PLASTIC_CUPs_2", 0x4AFDE31E);
				menu_addAction();
				menu_addItemHash("cj_plastic_tray", 0xF3BDACAE);
				menu_addAction();
				menu_addItemHash("CJ_POOF4", 0x8419E44D);
				menu_addAction();
				menu_addItemHash("CJ_PORTA_CAB_2LOD", 0xDD85106B);
				menu_addAction();
				menu_addItemHash("CJ_PORTA_CABIN_1", 0x4C3399C2);
				menu_addAction();
				menu_addItemHash("CJ_PORTA_CABIN_2", 0x1B21379E);
				menu_addAction();
				menu_addItemHash("CJ_PORTA_CABIN_3", 0x2766D029);
				menu_addAction();
				menu_addItemHash("CJ_PRAM", 0xD37D3A83);
				menu_addAction();
				menu_addItemHash("CJ_PROC_BAN", 0xBDF4C880);
				menu_addAction();
				menu_addItemHash("CJ_PROC_BAN_B", 0x4F0F014A);
				menu_addAction();
				menu_addItemHash("CJ_PROC_BEER_1", 0x7CC1B852);
				menu_addAction();
				menu_addItemHash("CJ_PROC_BEER_2", 0xA5FF8ACD);
				menu_addAction();
				menu_addItemHash("CJ_PROC_BEER_W", 0x46B4CC5D);
				menu_addAction();
				menu_addItemHash("CJ_PROC_BS_BAG", 0x395891BA);
				menu_addAction();
				menu_addItemHash("CJ_PROC_BS_CHIP", 0x4287E310);
				menu_addAction();
				menu_addItemHash("CJ_PROC_BS_CUP", 0x8C5E2354);
				menu_addAction();
				menu_addItemHash("CJ_PROC_BS_CUP2", 0x80448E0D);
				menu_addAction();
				menu_addItemHash("CJ_PROC_BS_LID", 0x909A5EC4);
				menu_addAction();
				menu_addItemHash("CJ_PROC_BS_NAP", 0xD23671F1);
				menu_addAction();
				menu_addItemHash("CJ_PROC_BS_STRAW", 0xA2C093C7);
				menu_addAction();
				menu_addItemHash("CJ_PROC_CARD1", 0xC3E378BE);
				menu_addAction();
				menu_addItemHash("CJ_PROC_CARD2", 0x6E854DFF);
				menu_addAction();
				menu_addItemHash("CJ_PROC_CARD3", 0x4FC4107D);
				menu_addAction();
				menu_addItemHash("CJ_PROC_COFFEE_W", 0x6556682B);
				menu_addAction();
				menu_addItemHash("CJ_PROC_COFFEE1", 0x9030956F);
				menu_addAction();
				menu_addItemHash("CJ_PROC_FAG1", 0x804F0B31);
				menu_addAction();
				menu_addItemHash("CJ_PROC_FAG2", 0xC3679165);
				menu_addAction();
			}
			else if (item_selected == 25)
			{
				menu_header = objl_m2_objects_test16;
				menu_addItemHash("CJ_PROC_FAG3", 0xF5AD75F0);
				menu_addAction();
				menu_addItemHash("CJ_PROC_FAGP", 0x7776F9CD);
				menu_addAction();
				menu_addItemHash("CJ_PROC_FAGP_2", 0x3C4559EE);
				menu_addAction();
				menu_addItemHash("CJ_PROC_FAGP_W", 0xB4B3CAF9);
				menu_addAction();
				menu_addItemHash("CJ_PROC_GLASS", 0x496EB403);
				menu_addAction();
				menu_addItemHash("CJ_PROC_GLASS_2", 0x5EB98E4E);
				menu_addAction();
				menu_addItemHash("CJ_PROC_GLASS_3", 0x4E54ED85);
				menu_addAction();
				menu_addItemHash("CJ_PROC_GLASS_4", 0xD316F6FF);
				menu_addAction();
				menu_addItemHash("CJ_PROC_HOSE", 0x18C2BCBC);
				menu_addAction();
				menu_addItemHash("CJ_PROC_HOSE_W", 0x49103714);
				menu_addAction();
				menu_addItemHash("CJ_PROC_HOSE2", 0xD4D1F137);
				menu_addAction();
				menu_addItemHash("CJ_PROC_HOSE3", 0x6B9F1ED3);
				menu_addAction();
				menu_addItemHash("CJ_PROC_INT_RUB", 0x7BFCD48F);
				menu_addAction();
				menu_addItemHash("CJ_PROC_INT_RUB2", 0xAFEE4BB0);
				menu_addAction();
				menu_addItemHash("CJ_PROC_Milk", 0x42D9FA7C);
				menu_addAction();
				menu_addItemHash("CJ_PROC_NEEDLE", 0x2ABE30C9);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PAIN3", 0x3EB33469);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PAINT", 0xB64D23B7);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PAINT2", 0x6E364E49);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PANTS", 0x13537B49);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PAPER", 0x7C00EC77);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PAPER2", 0xBDED7045);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PAPER3", 0x222F38CB);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PAPER4", 0x77ECE449);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PAPER5", 0x46BF01EE);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PEACH", 0xE3EB66D5);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PLANT_1", 0xF0EBA19D);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PLANT_10", 0xAAE1797F);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PLANT_11", 0xB8329419);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PLANT_12", 0xC6703094);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PLANT_13", 0xB89794EF);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PLANT_14", 0xC6513062);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PLANT_15", 0xD61B4FF6);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PLANT_16", 0xE3DDEB7B);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PLANT_17", 0x2AA7F90E);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PLANT_18", 0xFF6EA29C);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PLANT_19", 0x4623B005);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PLANT_2", 0x02AA451A);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PLANT_20", 0xB0D86281);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PLANT_21", 0xE9E5549E);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PLANT_22", 0xF798F005);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PLANT_23", 0xCE869DE1);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PLANT_24", 0xDC45395E);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PLANT_25", 0x30ECE2AC);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PLANT_26", 0x4E611D94);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PLANT_27", 0x15242B1B);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PLANT_28", 0x22E5469D);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PLANT_29", 0x4DF49CBF);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PLANT_3", 0xCF94DEF0);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PLANT_30", 0x9BD55927);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PLANT_4", 0xE13F0244);
				menu_addAction();
			}
			else if (item_selected == 26)
			{
				menu_header = objl_m2_objects_test17;
				menu_addItemHash("CJ_PROC_PLANT_5", 0xAA24140F);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PLANT_6", 0xBDDD3B81);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PLANT_7", 0xA6AD8D1E);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PLANT_8", 0xB86DB09E);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PLANT_9", 0x85824AC8);
				menu_addAction();
				menu_addItemHash("CJ_PROC_PLUM", 0x741C8173);
				menu_addAction();
				menu_addItemHash("CJ_PROC_POST10", 0xE675DF9C);
				menu_addAction();
				menu_addItemHash("CJ_PROC_REC1", 0xDEAB729D);
				menu_addAction();
				menu_addItemHash("CJ_PROC_REC2", 0xB4DC1EFF);
				menu_addAction();
				menu_addItemHash("CJ_PROC_REC3", 0xB7FD2541);
				menu_addAction();
				menu_addItemHash("CJ_PROC_REC4", 0x064E4216);
				menu_addAction();
				menu_addItemHash("CJ_PROC_REC5", 0x8B734C2E);
				menu_addAction();
				menu_addItemHash("CJ_PROC_ROPE1", 0xE58827B4);
				menu_addAction();
				menu_addItemHash("CJ_PROC_ROPE2", 0x2D8E37BF);
				menu_addAction();
				menu_addItemHash("CJ_PROC_SLAB1", 0x54FD24A9);
				menu_addAction();
				menu_addItemHash("CJ_PROC_SLAB2", 0x50431B35);
				menu_addAction();
				menu_addItemHash("CJ_PROC_SLAB3", 0x8290FFD0);
				menu_addAction();
				menu_addItemHash("CJ_PROC_SLAB4", 0x6BBDD22A);
				menu_addAction();
				menu_addItemHash("CJ_PROC_SLAB5", 0x1E17B6DF);
				menu_addAction();
				menu_addItemHash("CJ_PROC_SLAB6", 0x13AD2206);
				menu_addAction();
				menu_addItemHash("CJ_PROC_SOCK", 0x141702FA);
				menu_addAction();
				menu_addItemHash("CJ_PROC_SOCK2", 0x802E0BD0);
				menu_addAction();
				menu_addItemHash("CJ_PROC_Stone1", 0xED3ADF06);
				menu_addAction();
				menu_addItemHash("CJ_PROC_Stone2", 0xF5EBF068);
				menu_addAction();
				menu_addItemHash("CJ_PROC_Stone3", 0x7A4EF930);
				menu_addAction();
				menu_addItemHash("CJ_PROC_Ticket1", 0xC7E1D2FC);
				menu_addAction();
				menu_addItemHash("CJ_PROC_Ticket2", 0x1D147D50);
				menu_addAction();
				menu_addItemHash("CJ_PROC_Tin", 0x4D64ECE2);
				menu_addAction();
				menu_addItemHash("CJ_PROC_Tin2", 0x73B108D9);
				menu_addAction();
				menu_addItemHash("CJ_PROC_Tin3", 0xBE861E82);
				menu_addAction();
				menu_addItemHash("CJ_PROC_Tin4", 0xA810F198);
				menu_addAction();
				menu_addItemHash("CJ_PROC_Tin5", 0x65C3ED13);
				menu_addAction();
				menu_addItemHash("CJ_PROC_TOWEL", 0x337F5CAE);
				menu_addAction();
				menu_addItemHash("CJ_PROC_TOWEL2", 0xD4236B2E);
				menu_addAction();
				menu_addItemHash("CJ_PROC_TSHIRT", 0xF0C9376C);
				menu_addAction();
				menu_addItemHash("CJ_PROC_WEED", 0xE1325AD1);
				menu_addAction();
				menu_addItemHash("CJ_PROC_WEED2", 0xAD9FE11E);
				menu_addAction();
				menu_addItemHash("CJ_PROC_WHEEL", 0x28E5DB2C);
				menu_addAction();
				menu_addItemHash("CJ_PROC_WOOD", 0x6A530495);
				menu_addAction();
				menu_addItemHash("CJ_PROC_WOOD_W", 0x3DA62F82);
				menu_addAction();
				menu_addItemHash("CJ_PROC_WOOD_W2", 0xB2EDFA43);
				menu_addAction();
				menu_addItemHash("CJ_PROC_WOOD_W3", 0xA54B5EFE);
				menu_addAction();
				menu_addItemHash("CJ_PROC_WOOD10", 0x4AE385AF);
				menu_addAction();
				menu_addItemHash("CJ_PROC_WOOD11", 0x5C7EA8E5);
				menu_addAction();
				menu_addItemHash("CJ_PROC_WOOD12", 0x6EB44D50);
				menu_addAction();
				menu_addItemHash("CJ_PROC_WOOD13", 0x80FA71DC);
				menu_addAction();
				menu_addItemHash("CJ_PROC_WOOD2", 0x60BB9793);
				menu_addAction();
				menu_addItemHash("CJ_PROC_WOOD3", 0x8B5FECDB);
				menu_addAction();
				menu_addItemHash("CJ_PROC_WOOD4", 0x7D0CD035);
				menu_addAction();
				menu_addItemHash("CJ_PROC_WOOD5", 0x27BBA590);
				menu_addAction();
				menu_addItemHash("CJ_PROC_WOOD6", 0x1991893C);
				menu_addAction();
			}
			else if (item_selected == 27)
			{
				menu_header = objl_m2_objects_test18;
				menu_addItemHash("CJ_PROC_WOOD7", 0xE41B9E51);
				menu_addAction();
				menu_addItemHash("CJ_PROC_WOOD8", 0x36E543E3);
				menu_addAction();
				menu_addItemHash("CJ_PROC_WOOD9", 0x879DE50B);
				menu_addAction();
				menu_addItemHash("CJ_PROP_AK47", 0x8079978D);
				menu_addAction();
				menu_addItemHash("CJ_PROP_EAGLE", 0x975BD0EA);
				menu_addAction();
				menu_addItemHash("CJ_PROP_GLOCK", 0x1A69CE40);
				menu_addAction();
				menu_addItemHash("CJ_PROP_GRENADE", 0x501811B6);
				menu_addAction();
				menu_addItemHash("CJ_PROP_KNIFE", 0x9D2A7EF8);
				menu_addAction();
				menu_addItemHash("CJ_PROP_M4", 0x03ABE6C1);
				menu_addAction();
				menu_addItemHash("CJ_PROP_Molotov", 0x85D8AFBE);
				menu_addAction();
				menu_addItemHash("CJ_PROP_MP5", 0x507EDD6D);
				menu_addAction();
				menu_addItemHash("CJ_PROP_PSG1", 0x73B33124);
				menu_addAction();
				menu_addItemHash("CJ_PROP_pumpshot", 0xF086A873);
				menu_addAction();
				menu_addItemHash("CJ_PROP_RIFLE", 0xFE424207);
				menu_addAction();
				menu_addItemHash("CJ_PROP_RPG", 0x579384A4);
				menu_addAction();
				menu_addItemHash("CJ_PROP_Shotgun", 0x3C809FE8);
				menu_addAction();
				menu_addItemHash("CJ_PROP_UZI", 0xFA292061);
				menu_addAction();
				menu_addItemHash("CJ_PYLON_1", 0x96D194B2);
				menu_addAction();
				menu_addItemHash("CJ_PYLON_2", 0x078CF627);
				menu_addAction();
				menu_addItemHash("CJ_QUESTION_MARK", 0x8C938A03);
				menu_addAction();
				menu_addItemHash("CJ_R_ICON_ARROW", 0x877041B0);
				menu_addAction();
				menu_addItemHash("CJ_R_ICON_FLAG", 0xE9716B9E);
				menu_addAction();
				menu_addItemHash("CJ_RACE_BOUY_1", 0xE946E6BA);
				menu_addAction();
				menu_addItemHash("CJ_RACE_BOUY_2", 0xD6EC4205);
				menu_addAction();
				menu_addItemHash("CJ_RADIATOR_4", 0xA869946F);
				menu_addAction();
				menu_addItemHash("CJ_RADIATOR_MED", 0x7329DF5E);
				menu_addAction();
				menu_addItemHash("CJ_RADIATOR_old", 0x5385880F);
				menu_addAction();
				menu_addItemHash("CJ_Radio_2", 0x887D13B5);
				menu_addAction();
				menu_addItemHash("CJ_REDWOOD_BOX_1", 0xB436087D);
				menu_addAction();
				menu_addItemHash("CJ_REST_CHAIR", 0x52F06A8B);
				menu_addAction();
				menu_addItemHash("CJ_REST_CHAIR_2", 0xCAFFAAB2);
				menu_addAction();
				menu_addItemHash("CJ_REST_TABLE", 0x27A925A2);
				menu_addAction();
				menu_addItemHash("CJ_REST_TABLE_2", 0x5A50D265);
				menu_addAction();
				menu_addItemHash("CJ_REST_TABLE_4", 0x797610AF);
				menu_addAction();
				menu_addItemHash("CJ_REST_TABLE_5", 0xAB44F44C);
				menu_addAction();
				menu_addItemHash("CJ_REST_UMB", 0x1CF1E332);
				menu_addAction();
				menu_addItemHash("CJ_REST_UMB_10", 0x9E0BBECD);
				menu_addAction();
				menu_addItemHash("CJ_REST_UMB_11", 0x1E2E3F14);
				menu_addAction();
				menu_addItemHash("CJ_REST_UMB_2", 0xC32B54D2);
				menu_addAction();
				menu_addItemHash("CJ_REST_UMB_3", 0xCDC86A0C);
				menu_addAction();
				menu_addItemHash("CJ_REST_UMB_4", 0xE08E0F97);
				menu_addAction();
				menu_addItemHash("CJ_REST_UMB_5", 0xEFAFADDA);
				menu_addAction();
				menu_addItemHash("CJ_REST_UMB_6", 0xFC18C6AC);
				menu_addAction();
				menu_addItemHash("CJ_REST_UMB_7", 0xEEF0AC28);
				menu_addAction();
				menu_addItemHash("CJ_REST_UMB_8", 0xFAB9C3BA);
				menu_addAction();
				menu_addItemHash("CJ_REST_UMB_9", 0x0B986577);
				menu_addAction();
				menu_addItemHash("CJ_RING_ICON", 0x353E5239);
				menu_addAction();
				menu_addItemHash("CJ_RING_ICON_2", 0xAEE195AB);
				menu_addAction();
				menu_addItemHash("CJ_rocket", 0x48FA2738);
				menu_addAction();
				menu_addItemHash("CJ_SAND_TIMER", 0x3B330BA3);
				menu_addAction();
				menu_addItemHash("CJ_SAUS_1", 0x344D1EFD);
				menu_addAction();
			}
			else if (item_selected == 28)
			{
				menu_header = objl_m2_objects_test19;
				menu_addItemHash("CJ_RUB_1", 0x968085B5);
				menu_addAction();
				menu_addItemHash("CJ_RUB_10", 0xB374062B);
				menu_addAction();
				menu_addItemHash("CJ_RUB_11", 0x0C3037A2);
				menu_addAction();
				menu_addItemHash("CJ_RUB_2", 0xE7DA2867);
				menu_addAction();
				menu_addItemHash("CJ_RUB_3", 0xFA17CCE2);
				menu_addAction();
				menu_addItemHash("CJ_RUB_4", 0x420CDCCB);
				menu_addAction();
				menu_addItemHash("CJ_RUB_5", 0x4D4AF347);
				menu_addAction();
				menu_addItemHash("CJ_RUB_6", 0x178207B6);
				menu_addAction();
				menu_addItemHash("CJ_RUB_7", 0x30C33A38);
				menu_addAction();
				menu_addItemHash("CJ_RUB_8", 0x19138AE5);
				menu_addAction();
				menu_addItemHash("CJ_RUB_9", 0x2AD52E68);
				menu_addAction();
				menu_addItemHash("CJ_RUB_PILE_1", 0x9B7E6897);
				menu_addAction();
				menu_addItemHash("CJ_RUB_PILE_10", 0xEC5DE4E0);
				menu_addAction();
				menu_addItemHash("CJ_RUB_PILE_11", 0x5178AF10);
				menu_addAction();
				menu_addItemHash("CJ_RUB_PILE_12", 0x3F920B43);
				menu_addAction();
				menu_addItemHash("CJ_RUB_PILE_13", 0x6AC461A7);
				menu_addAction();
				menu_addItemHash("CJ_RUB_PILE_15", 0x18673CEE);
				menu_addAction();
				menu_addItemHash("CJ_RUB_PILE_16", 0x06CA99B5);
				menu_addAction();
				menu_addItemHash("CJ_RUB_PILE_17", 0x33F8F411);
				menu_addAction();
				menu_addItemHash("CJ_RUB_PILE_18", 0x2227506E);
				menu_addAction();
				menu_addItemHash("CJ_RUB_PILE_19", 0xBECD89BC);
				menu_addAction();
				menu_addItemHash("CJ_RUB_PILE_2", 0xAD5A0C52);
				menu_addAction();
				menu_addItemHash("CJ_RUB_PILE_20", 0xF839FD78);
				menu_addAction();
				menu_addItemHash("CJ_RUB_PILE_21", 0x7AA30250);
				menu_addAction();
				menu_addItemHash("CJ_RUB_PILE_22", 0xB9667FD6);
				menu_addAction();
				menu_addItemHash("CJ_RUB_PILE_23", 0xA61FD949);
				menu_addAction();
				menu_addItemHash("CJ_RUB_PILE_25", 0x517DB002);
				menu_addAction();
				menu_addItemHash("CJ_RUB_PILE_3", 0x80BBB312);
				menu_addAction();
				menu_addItemHash("CJ_RUB_PILE_4", 0x92FE5797);
				menu_addAction();
				menu_addItemHash("CJ_RUB_PILE_5", 0x4B01479E);
				menu_addAction();
				menu_addItemHash("CJ_RUB_PILE_6", 0x74389A0C);
				menu_addAction();
				menu_addItemHash("CJ_RUB_PILE_7", 0x2EA28EE1);
				menu_addAction();
				menu_addItemHash("CJ_RUB_PILE_8", 0x39E8A56D);
				menu_addAction();
				menu_addItemHash("CJ_RUB_PILE_9", 0x31C81530);
				menu_addAction();
				menu_addItemHash("CJ_RW_SIGN1", 0x117EA0BE);
				menu_addAction();
				menu_addItemHash("CJ_RW_SIGN2", 0xFF287C12);
				menu_addAction();
				menu_addItemHash("CJ_RW_SIGN3", 0x36FC6BB9);
				menu_addAction();
				menu_addItemHash("CJ_SCAFF_2_cover", 0x3A3C14AE);
				menu_addAction();
				menu_addItemHash("CJ_SCAFF_cover", 0x67944DA0);
				menu_addAction();
				menu_addItemHash("CJ_SCAFF_coverb", 0x10D85062);
				menu_addAction();
				menu_addItemHash("CJ_SCAFFOLD", 0xE5AEEA42);
				menu_addAction();
				menu_addItemHash("CJ_SCAFFOLD_03", 0x3445EAD7);
				menu_addAction();
				menu_addItemHash("CJ_SCAFFOLD_2", 0xB97CEFFF);
				menu_addAction();
				menu_addItemHash("CJ_SCAFFOLD_3", 0xA72D4B60);
				menu_addAction();
				menu_addItemHash("CJ_SCAFFOLD_3b", 0x32930A75);
				menu_addAction();
				menu_addItemHash("CJ_SCAFFOLD_4", 0xD4E7A6D4);
				menu_addAction();
				menu_addItemHash("CJ_SCAFFOLD_4b", 0x23B86A8C);
				menu_addAction();
				menu_addItemHash("CJ_SCAFFOLD_5", 0xADA1584C);
				menu_addAction();
				menu_addItemHash("CJ_SCAFFOLD_5b", 0x907DAF71);
				menu_addAction();
				menu_addItemHash("CJ_SCAFFOLD_6", 0xDC6FB5E8);
				menu_addAction();
				menu_addItemHash("CJ_SCAFFOLD_7", 0xF91FEF48);
				menu_addAction();
			}
			else if (item_selected == 29)
			{
				menu_header = objl_m2_objects_test20;
				menu_addItemHash("CJ_S_BOT_SM", 0x396D889C);
				menu_addAction();
				menu_addItemHash("CJ_S_L_BOT_SM", 0xA99FD2F8);
				menu_addAction();
				menu_addItemHash("CJ_SEC_BARRIER", 0x2EF345D5);
				menu_addAction();
				menu_addItemHash("CJ_SEC_BARRIER_2", 0x25825C97);
				menu_addAction();
				menu_addItemHash("CJ_SEC_BARRIER_3", 0x1337B802);
				menu_addAction();
				menu_addItemHash("CJ_SEC_BARRIER_4", 0x7B0087EE);
				menu_addAction();
				menu_addItemHash("CJ_SEC_SIGN_2", 0xDD16F3A4);
				menu_addAction();
				menu_addItemHash("CJ_SEX_TV2", 0xDC2194FA);
				menu_addAction();
				menu_addItemHash("CJ_SHUTTER_1", 0x12AD398D);
				menu_addAction();
				menu_addItemHash("CJ_SHUTTER_4", 0x00681503);
				menu_addAction();
				menu_addItemHash("CJ_SM_GATE_1", 0x5B36FF1A);
				menu_addAction();
				menu_addItemHash("CJ_SM_GATE_1gate", 0x8749719E);
				menu_addAction();
				menu_addItemHash("CJ_SMALL_BOAT_1", 0x640E65F6);
				menu_addAction();
				menu_addItemHash("CJ_SMALL_BOAT_2", 0x9A6852A9);
				menu_addAction();
				menu_addItemHash("CJ_SOAP_P_1", 0xEB38494E);
				menu_addAction();
				menu_addItemHash("CJ_SOAP_P_2", 0x627C37D8);
				menu_addAction();
				menu_addItemHash("CJ_SPEAKER_10", 0xF3AE24E9);
				menu_addAction();
				menu_addItemHash("CJ_SPEAKER_1b", 0xBA9BB2B9);
				menu_addAction();
				menu_addItemHash("CJ_SPEAKER_4", 0xE7AE78EA);
				menu_addAction();
				menu_addItemHash("CJ_SPEAKER_5", 0x78FD1B7D);
				menu_addAction();
				menu_addItemHash("CJ_SPEAKER_9", 0xBFD6A92F);
				menu_addAction();
				menu_addItemHash("CJ_SPOON", 0xD299B999);
				menu_addAction();
				menu_addItemHash("CJ_SPRITE_BOTTLE", 0x797DD801);
				menu_addAction();
				menu_addItemHash("CJ_SPRUNK_BOTTLE2", 0x2E9236DC);
				menu_addAction();
				menu_addItemHash("CJ_SPRUNK_BOX_1", 0x7FC5F693);
				menu_addAction();
				menu_addItemHash("CJ_SPRUNK_BOX_2", 0x242CBF32);
				menu_addAction();
				menu_addItemHash("CJ_SPRUNK_L_BOTTLE2", 0xB53AC8F7);
				menu_addAction();
				menu_addItemHash("CJ_sprunkbox", 0x1CF1D9D8);
				menu_addAction();
				menu_addItemHash("CJ_SUTTER_3", 0xF5A16A96);
				menu_addAction();
				menu_addItemHash("CJ_SWANK_COUNTER_1", 0x3C4F755A);
				menu_addAction();
				menu_addItemHash("CJ_SWANK_COUNTER_2", 0x2A95D1E7);
				menu_addAction();
				menu_addItemHash("CJ_SWANK_DESK_1", 0xC4742C90);
				menu_addAction();
				menu_addItemHash("CJ_SWANK_RACK_SM", 0x92889755);
				menu_addAction();
				menu_addItemHash("CJ_SWANK_RACK1", 0x83711145);
				menu_addAction();
				menu_addItemHash("CJ_SWANK_RACK2", 0x9432B2C8);
				menu_addAction();
				menu_addItemHash("CJ_SWANK_RACK3", 0xE0234AAC);
				menu_addAction();
				menu_addItemHash("CJ_table_parasol", 0xDF5CD638);
				menu_addAction();
				menu_addItemHash("CJ_TABLE_TEN_BAT", 0x6972066E);
				menu_addAction();
				menu_addItemHash("CJ_TABLE_TENNIS", 0x034DBD65);
				menu_addAction();
				menu_addItemHash("CJ_TENNIS_BAT", 0x6CC0A9A2);
				menu_addAction();
				menu_addItemHash("CJ_TOASTER_09", 0x85188664);
				menu_addAction();
				menu_addItemHash("CJ_TOASTER_2", 0xBEEA9975);
				menu_addAction();
				menu_addItemHash("CJ_TOASTER_7", 0xEAD4F12D);
				menu_addAction();
				menu_addItemHash("CJ_TOILET_Brush", 0x678C228F);
				menu_addAction();
				menu_addItemHash("CJ_TOILET_ROLL", 0x73A41EF2);
				menu_addAction();
				menu_addItemHash("CJ_TOWEL_DISP_3", 0x21B46760);
				menu_addAction();
				menu_addItemHash("CJ_TRAY", 0x15F0829F);
				menu_addAction();
				menu_addItemHash("CJ_TRAY_baker", 0xD69239BB);
				menu_addAction();
				menu_addItemHash("CJ_Trolley_1z", 0x11D07B58);
				menu_addAction();
				menu_addItemHash("CJ_Trolley_2z", 0x575C82DB);
				menu_addAction();
				menu_addItemHash("CJ_Trolley_RUB", 0x413D0055);
				menu_addAction();
			}

			return;
		}
	}
	// Menu Item 2 - power adjust
	// Menu Item 3 - ped mode
	// Menu Item 4 - Options
	else if (mainMenu == 4)
	{
		if (menu_level == 2)
		{
			custom_float_dp = 2;
			custom_float_change = 0.01;
			
			menu_header = objl_m1_opts;
			
			menu_addItem(objl_m2_opts_launcher);
			menu_addItemBool(objl_model_enabled);
			menu_addAction();
			
			menu_addItem(objl_m2_opts_sights);
			menu_addItemBool(objl_sights_enabled);
			menu_addAction();
			
			menu_addItem(objl_m2_opts_rapid);
			menu_addItemBool(rapidmode_enabled);
			menu_addAction();
			
			menu_addItem(objl_m2_opts_slomo1);
			menu_addItemBool(slomo_enabled);
			menu_addAction();

			menu_addItem(objl_m2_opts_slomo2);
			menu_addItemFloat(slo_mo, 1.0);
			menu_addAction();
			return;
		}
	}
	// Menu Item 5 - Enable/Disable
	// Menu Item 6 - Exit
	project_error(OBJL_ERROR_ID_INVALID);
}

void project_catchFunctionButtonPress(void)
{
}